[www-client/firefox] Fork Portage ebuild with Python 3.6 support

This commit is contained in:
Joost Ruis
2020-07-16 00:08:42 +02:00
parent cd4608d7b6
commit 9f4407596d
11 changed files with 1658 additions and 0 deletions
+93
View File
@@ -0,0 +1,93 @@
DIST firefox-78.0-patches-05.tar.xz 31096 BLAKE2B 83915ede6e9dc2241f6c72eb41f1ba9e26d70cb1f968bc6f3506aa4596d282f6c9a433ce5151c1e0e69dc8343bcd17ed517db5ad5990f744362cc80c50154886 SHA512 4cc967dbdd0c76000ce565d85064884b7040e1f50fba830203256d06a6ee1f8004f4e64682b98fbfb5580254d67e8984b19ec34cee2c3d85190a8f214b05afa2
DIST firefox-78.0.2-ach.xpi 500654 BLAKE2B bf3fef912634343b67525a5e7c9c0d655ed4a29ed18d526d4a700e84051e7bf44f2198dfdefd1f2bfcf988fd28473737fd268fbbf8b2fb6dce1c513e2d28c18e SHA512 56d25bb5a42959516ef75eb7f6d04f20dc003de69febea872706a4ae1d48115ba42ea678c84f9cf8685cda12268475916337fded23498bdf90eafbbafb553fcd
DIST firefox-78.0.2-af.xpi 444068 BLAKE2B a152864485b8d31194851de9360c8665ff0ee67c0c2e20aa685249c9bcda4ba066dfb1c0974586adead9e4cabdd3f8866ed4f5120955bc830229738cfd38addc SHA512 5016b0f236f9b1943409dd50c562235cb742eec78957eeda5bb6d154ba7c901d97342ae91fbebf7f0d5615ea6a311deaa23bd5a45fd24159c3fc3c58216b3aa2
DIST firefox-78.0.2-an.xpi 511452 BLAKE2B 7aab5c2295d471d1c8c349286f7c9d3adb36c19feee3e2833916f9c283c5e0a168ab82846ff07c18aee3cd9ada3815db932e7e2bbd6b05dc19e4563239854beb SHA512 de59618a6761cb4961ffc215b159eb1a104d17f995e471b7ffe6051143ec8617ed8d0e884ae80d9465985483d2e63ec650346a2daee3733d97a6620133ccc274
DIST firefox-78.0.2-ar.xpi 588704 BLAKE2B ad32738e1367a0352d9d4005d4ae7fc3cf30ad75c0d921dbe058b522d25294e6d1261d54be1068afcbec3726dd3f1d4f3c1f1b16c28f528aa22668b87ec23cf6 SHA512 a59080b98b5ec91a3b887b3756653a3ef291489cb55c5e9b26e76cafc5f95e1f64724fdf9e7a120ae65a9bfabcc93553ce4ed88e0755c87ec261d789034e2952
DIST firefox-78.0.2-ast.xpi 500545 BLAKE2B 3d9ef360d8f344a2bf5c3af560d400d1ebd4aed0d5588c7e2249be886cce23b5cc8a62abd731841c10ec4766d8c76473edb08b11fd83d8f8b345390e7ef1963d SHA512 30b5192cd7d4e4ab4de8fd60429ce69d402dbd7cb698c29c9d3e30ce3fb68d0e4798c3ec472b279d334d93937eddd5f2e55769f08a35a773ce06cd134037e403
DIST firefox-78.0.2-az.xpi 537587 BLAKE2B ed9ad6093f5921c74d1dc32447074aceab2f730c7daa9cc96e71daca75ed622386f51f4a998d22bf404483d722bb93603f11cc38fdcfb5a6208f7f7b6d6ead8d SHA512 3e1025ba841b8337cd2315c0e50d3f3557e574a1238deaf8d6971a9280e36c76eb27b3548e6e61c8c6a201346b38d1bff6c1c2fde5d85dd4c33d67c79e649eec
DIST firefox-78.0.2-be.xpi 647660 BLAKE2B 94cba38257d7134d6e90458d5a9c0743904d03aa9fe2587f26ec1cb4de6aee210a231e68fcf9dd16168fe0a4937363eafc83775b62f4f0178e2ef5ce5e0ed3d0 SHA512 ebc88638d682980a33d700cdc5847738dde59b4b0c52e2bb2bd1d707b2a75082fa0252d56f97079db2230bfd6951c237724cda4d856ead64c5adf25fff78eaca
DIST firefox-78.0.2-bg.xpi 608528 BLAKE2B faeff122e24a31da06908b608bbe34687bf86914eeb919edfffb474d01a51b521018f7be1d861e6e6f39b4d1cbcf82f564d04c443bc13c10124ab5fcb0901e7c SHA512 831c99c9740970c65c28b722d52e46ff170650a0e960289e3595930a1d6b528678115f2361a7616d788047e7d6946a3720f4b7d00ce4dfa1709298b95011ebfe
DIST firefox-78.0.2-bn.xpi 634051 BLAKE2B 771e24876f879dbc9dffd865e88531ea1859d6e1dc934c9c8ce42265ac83287f703d18851c90093813c5851cf5be96dd223242b86ce7e1f67781ea8d285f8058 SHA512 1ac4ac6fc9ef06b5ee2e1e5b44ee219130d83ab01e9c5c3bc24e23ad14bfd325c4dc499d5546da2b09ab9b646f9e32b0e60944086cb3f7f9ad514d760014f5fd
DIST firefox-78.0.2-br.xpi 551260 BLAKE2B f0b294801629c30396066fc4ec18828bde623d00149f3325d3d5e79e51976d5ef5e8d3b2d1bba972afd76211b0b20128594df20f807435b52f8ed6bb54b81fb4 SHA512 45cb812e6e99bc9072e0a5485e7c896a4de93c5b43ca2fccc06c16ab1b13adb31814698bd95da9379f02322cf54e440419b161e02f8757e21a94198cec972bb1
DIST firefox-78.0.2-bs.xpi 506403 BLAKE2B 68c341502fcbe46b2e18cb6e1265100eef7c0a9ea7b4b3af0f10e88a748dee3a3048bdd5cdcac6049de9026e2617e17b2ca98afba6c96681fc927224fb8335ee SHA512 cda85620feaa917b5da0aad97c9224d374cfcb2586c6dd8328fd15ebba5ef34f42dc3b12e565497784c97d369865d717a4541bbd8e2b7ec838cee67a96cec5ba
DIST firefox-78.0.2-ca.xpi 552876 BLAKE2B c303bf42c811e9342443bee4f8554fd6545e423d809e2108b26fcb3ec67ffaab1906f4b7c3e8f6d3d97386726bcb6bd62fce1d2c924eeb5d32d221f18b4616dd SHA512 efd8f86b2d32212acaa8078afdb414b921539245d89c38d0e149bde028e77fa3de8b0407f86858b1a4c04bbb5dc1b11547640e2d6564a0265cec8c0c536fd93c
DIST firefox-78.0.2-cak.xpi 584936 BLAKE2B 96aff08f88471dad243324a89be76275efb77e4acb0ef928aa0610f9b073a290f78cb809ddb8c67232a1f6e3c4cf156506fad4e48194dbf16450b883b94757ee SHA512 1201d00af5a9e929fb805781b833937526ad82f526355ba90f5b808306a1d164984446215610e40d1224da96c8ce96ace5e4abbad1cc0b33d362eea78dbcc47a
DIST firefox-78.0.2-cs.xpi 585532 BLAKE2B 24d98e1f78a55e10bba9164469c69b559ec1173702d06f3f74475ef35ec09f7b2acfa2dc17bd94c76a3704c1a503e20272bf1d7060ce61f26b84ec98d97988c3 SHA512 59f324ff33fd2aec7380450a1486f6cc68f1043038911ea0e643dc1eea8fb5298f93dec84f9ef2a144a3d1564b2dd1d90c0bbec3cdb89cf15c442523c3b619f3
DIST firefox-78.0.2-cy.xpi 563238 BLAKE2B 751eceac9a46898953237bb3b454b6f9b0dc3aa69026184f81d4708e0fa8bb9ab1a5b42b3ee955defbc99677347597925ed60066f80ec50e453bd0ace4bbf03f SHA512 506f17cdd27d07a1b0179d67d14f0f1d5cb04e99e9141b5de32305924dc1e51de7f9f60a2ddbf1d6c5398554fc90eb057728b1914367e3a7409320bff09e043c
DIST firefox-78.0.2-da.xpi 552310 BLAKE2B 89aee395a0c361920593bf3cd64c373d51bde5bb2dfc004ff11ff36a8d0f294e78d0e5bd3cd722d328d118e7337a5ee4ac815a3d6436ea5a57d415f995bfdba0 SHA512 1186aed12d1d5e6fa7578265dd20d0feeceb828ec8086f792c0c26a1b41c15755ca843a279d3e89719cb1a0255b339436c2b3448c38e726e3a10bd3847798830
DIST firefox-78.0.2-de.xpi 576941 BLAKE2B 740e753f229591cdc43ea2eb2540d97fd73007a125a567c1a45c488747cb81ce1ecf08d1004c2e8077e39e3af97b45d00d524133d3f833276c933ce47036ea3d SHA512 5aea079772ff90cb251438e9f81de49b982d4faa967003d5c275984764f2b5622ea10fbd78a4950aeae1192efc418c2811a8208cdb90691e187704624ca82270
DIST firefox-78.0.2-dsb.xpi 589026 BLAKE2B 863f6121517ba0b67ee302fbc10a6484e6bd1c12c7ec1363884dd149b83eeab534c8568c41f38c0c1ad3c5e2c632151bb2cede2a6a17295ffa98dd056067187f SHA512 70fe776e536d5af95d33b43bd56037be7d3905580ae26326a7235e2f7b9a2c9a9453d3bf2275852a4eda17397715448740fa84b49a1d3efaa4501bc8ae089179
DIST firefox-78.0.2-el.xpi 665908 BLAKE2B 39045be9285e56e266de62a4e236789608cf8d72ecb25b54882a53e2f1ef63fc8eedaececed828f37cde68475ec98504eced6eaa274019eaaf8b33144bf4e81a SHA512 06a7b514a982cbfcbedf011bec5d964fffeb3c8257a2f59b0707b1793a818ac141cca48ae8f4cc00a02801012b4aca0e805b8a63b21b715b11cd2bf62c764cc5
DIST firefox-78.0.2-en-CA.xpi 531414 BLAKE2B ca255e92547ea23cf073f8ccab14118a143bd5bde95d4e45392c6b10a5c155e690829afa049ce0ccce5d7bd32ac150113dc1c06bd03a0428130be7f67beb6dab SHA512 0e5fcb1ebdf4ee4eb8b66d7f8e778eedf3347e99cda6e2e7a822ad305cbefabba1306d9b2d363f2d3ca3eed8f29629a77472b0cafd960e7a33265c8a6ef5ae3e
DIST firefox-78.0.2-en-GB.xpi 531200 BLAKE2B aee748ec0373c527836bb102378e32f500b9f4e10e3f8af86d61c8f2add4c00a948bd5a4814e7bfde010a7aecaf28e48fd28401a8bf40ed593f547c171e425b6 SHA512 193685743085bfcc648e23f282386d8076f5dd374546304db32299c0dedf103b452a20ffd9f2e684868060474f6f8db66a053dfb5feec6d244e0a8a7ca42f83d
DIST firefox-78.0.2-eo.xpi 558624 BLAKE2B 5408b11170083a2df48b5dc46da823ad8bad3b715486297884e4015644c81782569b4630ed689f82597d0eba12ce27149b786c05291f5afb45f45e3d7224db26 SHA512 21a313af6d8667e75593a15f24b09a0ae8e86381a03c8e62a026e2e3dd7b39879d9aa964859ac555cdb4ff3bdf77d7cd62b8086b0f6a2cf84d5610af924851eb
DIST firefox-78.0.2-es-AR.xpi 568400 BLAKE2B 9a6a1ccac9cd2860ff190bfa1bb489faf15f544229db58901e365df7ab2a1722ac2b2e9c8accb361fa5e5f498d88f078f554344a873adc2ad7a7909f5430d462 SHA512 ce789af837d6fdef6b52bd63f7421f8c705edc4b29d7e7725c765caa6478c7f66f013a8fea8546df03f5009702f5984f6a380b8ead4faad4f72a1a22d3de7846
DIST firefox-78.0.2-es-CL.xpi 567594 BLAKE2B 8a0a9b6e505934da7585af91911a1baf340624fe479e26e7150d6d4982041e9dc0380bdf68cbd771967fc258df8dacccbbc888928e7901a9af5db5096228e76f SHA512 b5cf4dddda9cadf361d9d921612d4d3a0fae200d345dab2be4bc2d9e7db88b782369cf2017d7ac9b0e67731629322fb8d34e760c400aeee91ce63e6418cb858b
DIST firefox-78.0.2-es-ES.xpi 551510 BLAKE2B 8692a853c97731e8a0922a24b4b6a330232237a1377d615230e1c6ed9efe639a052561190a354515a9e29e881df4d71f739f75db866dab4837b1988953f41115 SHA512 66ed66bae2ca78cb48058fcd160b56a72e0249141ad5503f460be1f2eb71db25a8b1100e2a98961d51b3c8d5ee4a4dcad92726121fe2ebde539eb39f45b803aa
DIST firefox-78.0.2-es-MX.xpi 569783 BLAKE2B b9732c562722821a5c4315f8cc73d01966a7a53fce60c68fb0369fdc26a8f72f43794bcc114c2c117e92fa3b7d87d0931dd7e2577b15bacddff66cca14d623f5 SHA512 2fc5d3d149798ef26ac06fd4f5b24a006d1820c3f955b7b1611fd1db1884e27b58edd2c6c9dd497a236d34e40f5746365a8f23ded196e666bd43e730e8f1c895
DIST firefox-78.0.2-et.xpi 535625 BLAKE2B e03a9aba686730a6b7bd99793a73fa57091327dc4a501b089336cee7e225aa2ac9309d2473f548f05a7d9d1f0773be905b25f7581cd65ca926b31ad53f7308a1 SHA512 1eb284ba0724d10e560532bce88736055139cd5bc2216b00e46b22ceaa7712d7480facd256051a1db2cdb02e70234f2dba0528e872e74bd22c850a927e5f04f0
DIST firefox-78.0.2-eu.xpi 556806 BLAKE2B c369e66a2346ca648cc12ee7cd295edebf2ffb2339e49aa171c4226c0bd7f6b4ae9a6ae366b0421a5bee9d7efdd4c2d0cd5dc511afbe889615aae21864726851 SHA512 e65dbe91cbf945cfc52a76056eee872377d3348c899b07019b052c719c4baec0b9b1eecb84ccd4144cb62fdc24678f37e6d4ed2af36de370238d8d8aa9d02b71
DIST firefox-78.0.2-fa.xpi 593505 BLAKE2B 1ade6b88b0d490c65b2681af3872357659567365e471a85231acfc65d0410a0635890ef7fcbba18f24e8e7892ee26c53053a3c19a159e380a4f324936bbbbca5 SHA512 3e4579f4d967daf23174471dc56e2e0da0273cf9379762c5a93d58e26e3a67add825ec8b2cd56be87368f2cb5160fad9bf7b351af134f2c31df95ad40ec5b6d6
DIST firefox-78.0.2-ff.xpi 531570 BLAKE2B 2a36f227bd161f1fcb7687aacd0e0d5580437157cadc312f9bc960644821b3d8af76cfa5553c3af1074d4e568eab345dbe5cb87f5a810c945d8f8808892a5148 SHA512 b6e1a5c0d79b38527e1c6bc07d10c27aab295da1f4537dba24a8caa98aea78a1e2c865600d3cdf64c4f0bc47fc2c2a401c99bd2123c6fafcfbcb4ed3036d8287
DIST firefox-78.0.2-fi.xpi 554032 BLAKE2B cef6e2c318e4f28fe23f2ef3407da2778f123c709a3db96cc745e4c6d056d34755193c8b22a6c477ef914e38b0603a34e7b22142bef5a533cbd87e95aa653b1e SHA512 006ad38ce02fdee352399a36db99be98fba454f5c283b02c522438a49837a9eb1d3574210b32f816a058e26c7459b3cf401d9548f259690ae4a2e74e31b11728
DIST firefox-78.0.2-fr.xpi 580680 BLAKE2B 079558908e869e27ca1e8f158585c0b8b49f3bae983f8469f52515222baf3dc4bedd58c192b752d6e84b8b9a2a5c088eadb9cfa5262db783abf028ba8993b6cb SHA512 c856e5533955f1827846b3cf1f859299eb346989c517b4cc7913a099d33b9bbb49e62f626a69b0d2ec08511dea46e879de76d09dfc579fa0cbe65b5aa803a5ea
DIST firefox-78.0.2-fy-NL.xpi 565456 BLAKE2B 0bc5446f7a6e0e4ea90fb871f1121f67aa6c20bd93805aecfcab3313dce826f5714a0f9a0e35144c44903a40bb8ebee53c8555b1e2e883b6a63f1584aa3a6de6 SHA512 4d39f8ae90916f87a178c59dd98ed0f41d496b5aafa4e106365cd4b4f6b55acb35d7446e16be59dea5e293f5832af8d3c77fbc9500e7c262d8a71cd443a18f92
DIST firefox-78.0.2-ga-IE.xpi 514579 BLAKE2B 8bd6ec1c5416616332e09ca4073a0f4587524728762f00fd0365706b967be69ecfd2d952c5420e0a902264676bfe0e0245ff8869efea7062c338834d08fe6917 SHA512 27ac54219b902613d1d0d945ef882635149892941ecea78995525de28880389c42efd4ba24b51ac0608fc2e9d3bc74065e03ea5ab17d5b18f200c30d0b393170
DIST firefox-78.0.2-gd.xpi 544419 BLAKE2B ff7a3757b69e4468a748a83853fef5363c99d5fcd1408c41c9620cb6e2b9d02fafc4ac3c8a55ceb2e1a22ab18e7b33707b0d881fcb49cfbf6cf89564fcc7e8bb SHA512 607913cef428b8f3ca2efa83a608fc6ca87597961b6ae9236a305c9637d8cc4146da5808af742e81a14ac920dbe3cf18473a73915bb4d24980f179ca2c0d4a57
DIST firefox-78.0.2-gl.xpi 508283 BLAKE2B bad499e35cb14bee19c4275ee8cb09bcea7cf68a3c58a8465236a10af2ac4af6103e7e1c0de8aa6e417d13136bc6e8c03df589bc5181cfbfcbd4388aad90b6a3 SHA512 48516418d3010a15dda0518f55a0860f90921ae2225e8335e40e06ad9243a6a14b6795cdf4043aad1235787d0d11ea1f8c26010b2807bb87c4dc756ee84bcdf5
DIST firefox-78.0.2-gn.xpi 582166 BLAKE2B 7c42a6f9b765f809c6c42ddb167bfff71a1debafbcd92263dcc9ee6f5d129c1f9d39c13cb663fba4708026e4832131e9a74e4b24eeba5cbfedd043f897144c33 SHA512 df6b6d13a1a8bea98903d2ab0e1cf90dfd7b4f3c4786be342c519a00e86ae0c36743f49502b0be2fab8cf7af9c60a824d5dcccd22998a7019bffb53931dbe803
DIST firefox-78.0.2-gu-IN.xpi 602914 BLAKE2B c5699cc3e197f6b90e4125e8cc9d578ef60a5691661a2c8dfc7e4a8c5ea8fe184cf4979be7028040b1b4c25316301b1c81ad5654805e57e1620ba56af6e0d91c SHA512 9f8c0317de2724ee6cb7f3a0190ef5d3a29617a011415fe6c46f23a09d4ed3cfe3b0732430ca341deb50a3d1f0772ee163683e8c62e6efc0d7f17dd58614ff6a
DIST firefox-78.0.2-he.xpi 582418 BLAKE2B 08a46e34e08b135b583526ad2187c4f1b962cdba461aed2b1017abeafe3b18a889372abb368996a85fe0e139f6c1a74106046936e9b22337b82e293ece386dfc SHA512 0e3373892e9179143e65009e44b54059e40da0d02d6ad631188b445af84ae60bcf7303db4fff8543f0b09419f72a7b12f435d02dc1e68fe7a48d0541d7c32c8e
DIST firefox-78.0.2-hi-IN.xpi 622444 BLAKE2B 78c7a3ab28e64a84ac385b32d0cd1d644de09d30a9b82109c89b5f04c13efe2328aff8e2717d3f2431b3095a33507475f87bb33e64a7bd8eb8707911f773ab1d SHA512 3d536f5478194e0d48b321ed2cb38eab6c123d8ea8b04e41f3665f6403813ad9560dfac601426e8767b3a53af4048a197a9aee1abd489f0fdcac8c575670d9eb
DIST firefox-78.0.2-hr.xpi 560786 BLAKE2B e5e967103080da9b375913098a5cc01d64282953ce341fba4e5b0eca5cd1bf2f098cff8e42670db4e5a9c3bd7fbebc746ffa5185e888a8dddf734479bc0c89cc SHA512 b771ef8096c8274f17aa0a9495fbfe9b77e67bd23fdf394e979471d23d46731aa32fc7c50d3a7af5fec8d0a6045bfe2929ec1917439487272962befdd97687d5
DIST firefox-78.0.2-hsb.xpi 585290 BLAKE2B a22a83556fba35148f4eb4f7b0d12819e489e13600301b5ccee54b838f59452d207b8d12e2e732a6db42ba4567ee33ad8377eecc1d5932e3e950f7c5fd91e877 SHA512 6a81156afd1ab924a5896b97766ad6c93bb4db98ecfec887e8eb46db1a69f5c49770bf18ebf7353616668d6f88c5b1f39c5afa2cdf6956910e035aa1b9d37b67
DIST firefox-78.0.2-hu.xpi 588748 BLAKE2B d4d0ad59ddd7dd4451c6cba98948ba78e37f9bc3bb05623d5fb6f0c7d23d0a344e7e5535fd60791ec3207ab68302e3da7344d473e96669922b53004c2577a1dc SHA512 dea3571c1f34ceb0d2f2764ac2e74d4a8d303cb04be0fd652ca73ad5a050addd7a0cf4e0be85a24c6cf2dca63da4c580372c086aed9f359640a30f4999ab1352
DIST firefox-78.0.2-hy-AM.xpi 649327 BLAKE2B f7d8ded6b3f4c18aa0c179d38c46d4cc6b3e04d943aa65db3d504f265d96c31dc3b33e05db0a0e15d951b66933544ebcec526b77446d69c9461d25c0696beb6f SHA512 93c8b76215003c7b085fea61d0a3992a75e5a78e6dfcad9a6440472d443fbdb8c8bb2be28ed9fb6d8ffa26f918225b66143fe0aa02ce3dabcb2ee3043b922c02
DIST firefox-78.0.2-ia.xpi 554118 BLAKE2B bd5f3ab4567fba9a85de26e1b43f3a1d4c44049472d15c7c127c911127b052be875640d93cb033d0b5048034696b2c35167f25884930d8103263e3714499e6a1 SHA512 d43e1c48a00e96974a23c448bef689d458b0e9173c065ceb33960e80a8645d93e75399a2fe04529fc410090e2b6ab6a5e29f7bcd8d06aed99cd9c00974e3a661
DIST firefox-78.0.2-id.xpi 551946 BLAKE2B ccafff682cf346815f5c03a1cf17cc2f24e491b528d5f75e2aa2ec85ad0cf9f3a565fa966757506fa09a8dca500a9cb0d7d2f1d23a6fd240a0eed8c991ad5bdc SHA512 9ec28fbbf500f469cc4210f0f1859015ae9aae7cf912b66f843d940caadeb8acd2afa7c33dbc3310ae6cef470d4fc564acc3754c4816a5364f64bfa967950b33
DIST firefox-78.0.2-is.xpi 527499 BLAKE2B 4087a4160b2176a83fcbb8b0522cc68b0fa58dba099fb114acb3444fb73d4ffb3f2a686cb123507ec5caf33c665dbc9c6f3e8414c84c334cc161de09bd85940f SHA512 0239eea5cc3e5e6e90365b507f372b35a4ecb193a973ca7f2b549d5f16d05fdf33a182e655c780fa20c8dd08468cf43e4116f35499801c1d2a1c99c69fbefe49
DIST firefox-78.0.2-it.xpi 454998 BLAKE2B 4d23e7d1a3be1d21607f4f434e989119fffc77fbb6cc6ed5a22388327b6485be25543aa8247b0a7f67b62f2266e2a64206429ce928e65c3456f152acb5e9af0e SHA512 b5c1b435b62e82c041ea3955c560926743edb741c4411ed88c3bacd483e0000383eaf59df3d963fdc04d3b256b65959726bb42813460b4e1f853d0d430c17aa8
DIST firefox-78.0.2-ja.xpi 615921 BLAKE2B 4c30b7d374042304cf2ab2b60ab70ed8260820335b86dd19ab3186ff784430802a1b767fc7e3c9462906372c31aa2ff600c793c4c407068ffa61e1c47fcad80b SHA512 1a65a805d1789e24a2042e6036b6320b6f3b396b52d0438fe73b7c21794b05288baf5148a1fe8e6c6fab8e2b7c48fb1dd981e1b7512fa1522356d3c9089e4f76
DIST firefox-78.0.2-ka.xpi 612304 BLAKE2B 5ccbc62550aff429305048cda81f0786a639772667b145f0b3f1239c504c1bbde2e30ab106f488327ad7a5242b992584c6ec3efae917757e08d567c753618ac3 SHA512 183fa9c16cf9d212f1af18ef18c9a1ef337de8722840c5a2efbbd007d527929d7830360a1c822ddaac7bcc8e0334ee3ef393407cb81239f37e147e1d2018977b
DIST firefox-78.0.2-kab.xpi 574013 BLAKE2B 6a59322839ccef91339f6556262f36fae51581f3325de6bccd9ff9035cec84174cee1b8464b7481e7ad2c58b701ab2712ac4f83518924ba1e9ad12ba51bfaae1 SHA512 142f46b584f44260a9a25a62b9d9f5ac809f5fe17795d2d4b91b3f4527a0bb4862382b55ef858681173455cd508922577d2f7a3bbf2ed2a9b1469dafbfa16312
DIST firefox-78.0.2-kk.xpi 642139 BLAKE2B 33d5f2abf19efd2c6e4ec99f696e552f5bf34bbe3cdc9f95e235a94ed62568e7bdf0c92c18527ffa86b94fdf85df3dd456bcc2db7818fbd28eb0d55b8500c2ca SHA512 cbd256fd0d6a98e1b99e27a62785bdc993aa936efd0ea8a14cb293c8211d8bd7487a684ce4daf3d64e589f26224a3767060a020ec341fdc64b6c11457dad1273
DIST firefox-78.0.2-km.xpi 567231 BLAKE2B dbfed5b0c772114326eebee0ac946bf8cfbd10e78970a1d625e778a47227c6d3eea4b8a9f7d605b99202abc2badb821e0a59c61aba0facc7162a0ea5d1e79f43 SHA512 4965b4bf13d77a5a0316809e2f341918579726e3b57723090e1748ed5f4c343939e376bfd3c4619f04f3b21c1b28481caaf15c3132794c8c05b405cceeb816b7
DIST firefox-78.0.2-kn.xpi 558806 BLAKE2B f216c49c89d6c32e1ae216180799b62f95834cf695af5bd216513301b78a369ef9855bf9c5066a2b98fe57b531d679172267389a35e767d76df8fa07e174c407 SHA512 af9358112304576cec914dce6208490dc895c77bd074d28d5c05d157634d2fcc5fdc0983e6e3ca607bef0aa1ec507440e8cc1f68f81d9bf380235743205b128e
DIST firefox-78.0.2-ko.xpi 602762 BLAKE2B 7d3b615c03122ee26f3f7610f81230e7eef0b9274dc78e3ffb8ff16905d197f4ca5980e45c7077dfc6b08cf6ea34fd32058f6e1d6d83241205b9cdf2d65d0598 SHA512 19bb88a9bfd1cf17ddaa8acfc953cab0976d3854d20e1f8ebdb95f70cbdf46f42fa43c44f371a9b6aa8cb7875b0d9d5cf2f6a0ea181738b817b72f8130383a1d
DIST firefox-78.0.2-lij.xpi 526112 BLAKE2B ffff708cd07d77d2d6222a0563623685d94e0fbd13f670bb31ae22ca3b9aa7d76bc4ad6f606cd20c7529feff16005c5432b57e67027b41e8f37b14bb95d90382 SHA512 cc24878ca1487c8d1eab4c52bceb0ca3e3f4b750e7bb64ba47b3f125a9aa8e956244119154d92a496e172d2561968712b5979e57ff945e07df9e2a9989712bed
DIST firefox-78.0.2-lt.xpi 579632 BLAKE2B f2891910b9195d87a0821acbba5c9ccfa88de205c0cfa08504e64bf535c5861e0fd14b43b28f2eabdf05b2dc8d949cfa16ce6bb2f362553e3d7db3b68f012ebf SHA512 4467844055fcce7aa24633bd2440b9730674e96c99b566a8889107a685c01e5c2850d8c8cc2112faca896eb9837f41e14c8e7caa14ffdc8775abad41ef997347
DIST firefox-78.0.2-lv.xpi 516883 BLAKE2B f9190e768c52bc0b6643f8859c21ac5c6f36bad6e975340eb7423bd63a115f7d1a7843b37056c7d63c097cdd388f6d90dbc0f39c77a30dc2af627c0cd05fa45b SHA512 f8199169ebf790978afec332b79d4e6a799016ba2734e9e920bdeb8904fdf9df8631a0a00a652e605ba17c33787a7668bd548b3c2fc6d34aed66733446e61094
DIST firefox-78.0.2-mk.xpi 482942 BLAKE2B 1109c1bfca6df35869207a2b0e758592a530d4a6f8cfeb66587cb0975a8269c06f29e9ca968c9f21b319935983a6fcbc0884ac4fe04151cf0bd9368830de88bc SHA512 179bc2a43eb02e5cc9bbd60e91777636746044a788aadbab6084c2d41796c5633ff6ec47be5be0c7a244728fd14d0b2dda266ef253213b1d88b2bf4e6db69ffa
DIST firefox-78.0.2-mr.xpi 599907 BLAKE2B 77f47a35b2cb43e4c97812f2019b695a6a1ccab79a4019c81fcccc534e03066855e2e1961924c05b533c8b3fbd20e74a85580d9c5bd516c3e44425673059870e SHA512 4b4a21ecb72bbf324600f8bfc451e41a97970aa6364c496ba6d28c3d94adc5bf14138f639fa7bd11d4bbe986161a9c24b8e000e5f4b0f219055a80454f2cac7f
DIST firefox-78.0.2-ms.xpi 500966 BLAKE2B 0da28df093b793c8c63ae4c76a903fb4f0f54b28ed74ef6f540c8d81ff09ad8e5de9e773b91beec6546ef706723a04c523524e2c4d825c8aea852bd76872d7ef SHA512 94e2908186b6a0e062b0a276f8d1ba3239e3159d9cba2eb91635bac6bde4106cec7c5468fcccdaedb7e0e1bb72b1389c9614abaf23bb5314619d5158da266f7b
DIST firefox-78.0.2-my.xpi 557205 BLAKE2B edcd002b29cf51309220d2abadbe382dbab00f6e612d12ffcda16b501a3e791fe58c1e57b0e9cdebecd14d7124b8b8e4a32d75c405ce9b9ead1751976371a7f7 SHA512 80ce551365a7168b1d57e04b4d2ffd3870d7299669d61bbc837f4260b39be4407eb5d6bfe06ecd29a71cbf316613cbbd8cff8bb20e36b983d354219f9f8e6a28
DIST firefox-78.0.2-nb-NO.xpi 549591 BLAKE2B f14759ab55b05169255a610e00b3f65a8451b603b3d0d53007af6665eb50cb29d69f59947212cf06d682176c79b9979ae3437e97ae74d17580ed5ca7b7e78d49 SHA512 b8fe2c08ac334acf62b4555f5bf8a483b361381bda3770416b03f791ca82e65763762c7cdb85172179ebdb83a98d2e37aa18deb2b0eecedf43a751b13188b0cf
DIST firefox-78.0.2-nl.xpi 558784 BLAKE2B a72ae73b21b2c177cd0e03782d53c1f9a9d47028b6955982dd2e52dbb83e66b6bb9de605d9ac98d95044e4877875f88f002a205be6d4b27b0fa22b978beb2a8c SHA512 81bf078623ba72822d27309706d4850c1fda4dbc7474c3a82aea5d9e71d9353010c498e1136a29d5dd0b4e8e7426400e422d5de952fb5dac6aada9d6a00b7e8a
DIST firefox-78.0.2-nn-NO.xpi 552139 BLAKE2B 3ff432eea0e53d4d5599993d195a77fbc102c18bd86d6f8a5e1fc2b74f762a2fc5208b8002f268506a8480133933a0aec87f6e00e4a34ec7668a0c76b8343e1e SHA512 56b89988d24aee6213764e9bdf31b6457ac2895c0a9a6dfa8b55a76cee8565b6132adf7820c1c5b74e1870219853bcfe876df94010b127ae57480a6685e86f42
DIST firefox-78.0.2-oc.xpi 576253 BLAKE2B c039ca9078de54ff9c509f3f0cf451c0039850e70b28e01c8da4b875b60d8ec73b5224017b0980f1a87ddff01a439d6a9c7e107b6a5b27efcd4d6c852eb39adc SHA512 401ce7ca2edcc26778a2aca6680afd84be5567780943315f7290401ff58be9c84b3178ef4be16197a71873d284b76cddf0215b6e91991d92ee0d12c867626ba2
DIST firefox-78.0.2-pa-IN.xpi 606175 BLAKE2B b734574fdbc603abedc068292fd2a1e71ee461955071a918dedc231a760e9594a51f8f315ed363f583a6842fb1198e059fcb9052859022f77160913547498807 SHA512 8546927fa84e57fef201017440e4cf66d647605cfd28b8ea937ccc3c3058c93b3e54cb4f5db5cb9aad842eeffecbb6d841cc11816d84c27ee339346567c32ca6
DIST firefox-78.0.2-pl.xpi 574895 BLAKE2B 3302c8446c1910551678d109a696ec99e76fc37b22306af83b104f6cf465db407b54e7c759c27e0ea6f97241a18777997ea1a23eb4c25e1b302a5d72d5b0b728 SHA512 661e5f9b14bc0af714e81b8e9fb04ccad491dca52fce3ef2d696b95e599064c09a9fd27604b446831c2816f5e575979680c87234a66d2b55f9a63b82d39fe267
DIST firefox-78.0.2-pt-BR.xpi 558017 BLAKE2B 65e1923bf356b0f7430d0f367dfed48930f80c8e430410319dc72bd96f5151bad55f0349bafaff5f9324fa30902b13ce3607222a904157bce6136478e66102a6 SHA512 f05c0df3a38b2f5b6939d5cf40a28e1bb9e804c08d155a7a3526caf6fef8207f7ccba3fad57cb14a2a3386629e2156d2b44430514239903fa4517776f93824cb
DIST firefox-78.0.2-pt-PT.xpi 565637 BLAKE2B 0430ec52e7ba581bb19590d6d408076bfe3134f2726190c5e92bf3439e088c1bd86561cd53d0c83102238ee23c00714c8f49161785b9566c312507bc1175745a SHA512 983c345406070cdfb65de99c5b3efb30f6142e3e3284a60fe419aeb7be86ab0eb8d6afc42467f7c493a42e94b65581eaa437ffa3a29796b0525b9c86065718aa
DIST firefox-78.0.2-rm.xpi 557918 BLAKE2B 2d1da1dc5020098d79b2b59bdd6c4e11dd9792736cba5fd90dfbbd2d47cc0e10dc9b8b49e3b5f5a35c94284622efa027f31275d9f395c4e4a78373467f14f45b SHA512 072265c3af5b17027049faf45608805dbf93f3e2a6f2192bfb098d6819f778411ddeb8b88a816c5bd016c320df21804c062ae5944d95172fcdc73ce2a556a40d
DIST firefox-78.0.2-ro.xpi 569376 BLAKE2B 4ae4c5880290efbb597ef5bdb1e93720da0590d892010e5cab4f1d77d59688622883468f3170de9b3c7923f92d2d95dd80dacfd9d9f1af9720e3d1787290b9d0 SHA512 6100a08560ca26190efb6b85b3cf20da75d79acece21b64f6d0f938effc2e5f25374ced1bd61ba62c64671d206525bff982f5d4e6efe4c3505ea4ed92fc0ad93
DIST firefox-78.0.2-ru.xpi 650703 BLAKE2B cd11d3b06e24e2518c2ac5542a36e02908b8cf506b8f8ad0ed08fd899377a159e0a22a91ac0ee25b72af23dc795ca5180c864d5e625af048e85d2c3247ffb68f SHA512 f66399bc87051ae1c5a83b5054e79c75f53b2b467bcf312044f4c3284dbc9085a2f1e01992e146aea3661a5a436107c0e7b729ae37642cdb44df85e3a4bc8230
DIST firefox-78.0.2-si.xpi 534197 BLAKE2B dc1c49b91e9688cc1037eb4d265e7dff204281ced39a05e74e12cd60eb921d6424f347ad4c38c3efba09b63a912e14970f939e1cc3cea5278f0b93558d7f8850 SHA512 c66e6e67fb456bb0bc80c9030af5adfcd84c44405801dbad94abc9c55d0c2fbe126980bae8a127a6f91248b1fe452fb5337065b3818f0e042b7977aaa4392620
DIST firefox-78.0.2-sk.xpi 578535 BLAKE2B f25a1da52c36f898cf3da19ab34f023327d43f3bc23220f172cc172606137e33ca8d8b01ab4986cbd2a8a9d3c45032a7491c08c82e4aafa5861f5dca3c8c6a70 SHA512 0e8f8e1c271d053e06af774b2d6c9edea51e63516a18534c51383ea2937406f75979b5776f2a543d72562212b1de7640d2c48eb91099034e7c329a10d47b3342
DIST firefox-78.0.2-sl.xpi 563038 BLAKE2B b0077cd719ab2e10008cc45e41ae080c2e7d6a570b87854d08ac188618277c2a6a9d1544446b7cba10dbffafb33e5ae4c84c3bfa03c3e436c37055ace68deffe SHA512 cdbc2b72b7b891e6bd12ab3ef156b3063b4ffca6f5af870109b708136d34d461bbd9fbc46a2241a82a9c33e5288bf18b482eb3660a0ef158874fc75eae2d2f60
DIST firefox-78.0.2-son.xpi 454246 BLAKE2B f7d0f11084e125be5132c54293012813cd0ad334a6cc962ef236ada2e2b085f27cbcf8db1341639c74c9b8a76132fdc9ef690765a815b4dc7fec40ab754e1321 SHA512 a426b2e2137b717ca9b09496db08c68e6fd16802376452539f260b5c29dc91be1d8224a6cf1e81aaa9299da6ac090de6650c07293f97c281cb806cf5603ee854
DIST firefox-78.0.2-sq.xpi 580008 BLAKE2B 38fa940006469b7b6cfb948ef612f4a1235cb4567f1c9d9a634e221f42b1656b59d643f037d2f840fda4149056144c77035fc27f98c43779e026911df219b895 SHA512 8578769ea79100146c024e853d7dd8138663dd304ee9050d5c6ea2333015c898f02ab27da1e386b0c2dc70c8c6774aa8ee1046c3bc6715c514a6037e46a3bf0d
DIST firefox-78.0.2-sr.xpi 604540 BLAKE2B c3d2771034ac6e5fc82b4ebe7e106d44edfa7ec33f185b6df1fbf1ee5fd79356a4636d9b803db8b6e9d03f8b04a0776bc4b0427762c5a6eebdf76cfcc077fbca SHA512 0b151cbce3239d8f80ba84a51d33b7cfb2258c8e2372c401a32643858f12cf7a27c4a4f725d60455d746d9636fbabfedf76290fb88f8da03acc29071716093bc
DIST firefox-78.0.2-sv-SE.xpi 561863 BLAKE2B e90ffdd603f8a1655edca48b9974fb5c042173676052a3ad66a03fa3d014a750f884a94a4eea7cc2407987f5d6200f0d76dba0404b438a0d9a28350a4ac5bc03 SHA512 3c27c8098fb659eba75b3f2e73ab717882e12e1d44269da85dc6ea251e41ac9c27a0d9c5b2a3443a385efcd182740cf41eab9558a3b1123c7583174f3277a7b0
DIST firefox-78.0.2-ta.xpi 572336 BLAKE2B 48a0ba1bf90e9338e5c494339205e96d8d9eee8ba141be5cab7d7703d5acf2fa6e0b0b9a807c72b0bf31fdd19a16bba988ed6970c243003156c98d03c30473d5 SHA512 f906f8feb8a356a77b5be12bc01596916824e2782f61387d814a40e6c7deebf2511611bc19bb66c8e8208c947a00bf8de296d826ea6b1b5bfba84ce0ca0fa628
DIST firefox-78.0.2-te.xpi 591642 BLAKE2B adab23edd9beaebb81f73025f66a5cee184db7932b07385a1dd529ab150e9af66b16055297332e1b658f58962b40888c77da5f10d7004d15814c68dc84e6fb7c SHA512 8b676fde6249f66d4e819db01ce9ca8221b75a5025f68c31bbafa9d09daf02d19d490a4fcbd2253fa68475d50c6dc2793142a504c9a7f090569c5b11c9c4bb42
DIST firefox-78.0.2-th.xpi 628317 BLAKE2B f4740071921e76952e6bf06a7676c718686b8f4860082e573014efad1b66e99bbc9ca549a30129301243b008a7f30e5a8b5510b065bf5177cf9cb335956950e8 SHA512 1c2fb8b5792660e2d4d25ca1909f726092a5c0c025edb2a089384c48804ac5d592db0393d7e4d236fe925b1f00c55b27b10b15f49c7ccd07e110da276bdcea21
DIST firefox-78.0.2-tr.xpi 576348 BLAKE2B 7a4e720d2cfe0481208a41a6cf3ea1fc7aec23722f14f951f5aa2da7374398dd3ff2ff8e4885c7c7c8305abac05e067de8f556428d6e3d0495de0cb946e6baf3 SHA512 a365bccd6fcc973a0e27a491e2b1bf4c6ee4ced65ff4916942c63830b07847efaf582611bb3b781cb8dea9bb929d37b12c55833e46459bc090a61ca698270e10
DIST firefox-78.0.2-uk.xpi 646853 BLAKE2B eb1011c17c73b9ce2da2569f42f3ebd8fac483bdc0ff800298c449daedd7b68897d2c526343d154a2eb4cc57b8680e9d9018d89355d6f39ba92c99abf94a5417 SHA512 12a54535da90bae1c0f0dc7929912ae3a06027f06d76d44aae31640964a26ab6848217ff64c3b5c777f6601ef3a198dbbfb478e6bf8d9f8ae1efed0c0c0444b1
DIST firefox-78.0.2-ur.xpi 608128 BLAKE2B af96c238ca788d6c9107080466199644ab858615bd9e6b4d4ccbcdc4f94705c6456aa18788f1a5ef2f8599ba5712e5b6dda45e173dd93b103a440f370dd56f45 SHA512 a97a1a44beb40f2792b8e9b2af8b1a1cb4c65ba655ffd17bde7e2ea0fcd199c9004b9ae20522e06b0077b5df0b5661fd7e9e98baa423d34539960fe8742d48b8
DIST firefox-78.0.2-uz.xpi 521137 BLAKE2B 84657ae37696ef2f6698e64aebd553c3f844f5411b6a403ee4473164cb361d95a57592d7b13ae956f9cfe8507984af34fe3c62dbc60b406f6d28a8d2d318276d SHA512 216fd71e9a2d629239b97b89d615e490152ff1f4decc1b2d74cb2453897cd7e06a525df73c670accd2105ad997d2f8b4ea898ce8c30fd93c4136354696fb2493
DIST firefox-78.0.2-vi.xpi 596833 BLAKE2B 71b198f15986029e5f93cb3ca0f52fc3abd59611faefdce88c541c53d59df67afbf691cfdc810915510e0fc59ce77474105399e8066e0835d544dd1d3cd93fe7 SHA512 57148e969ae64aebd009896239b96e70b0f8cacb00ad121b49b7d122071de1789cb08812765e2b6565d228870ff06639353776a4fb5151c2a8835310728ba41c
DIST firefox-78.0.2-xh.xpi 458898 BLAKE2B 1357c2a37ea0d5a6eb3b25b79793a3be744c51c2930d0515fb386c81314d479e7978bf955d020af227a84152910b037186ded92cdb89c0146ea011ab1e2c35a4 SHA512 2aded0092cd9bf77c89be91ff9f0818213566d2293e6693d8ba8aff5ba7ee463d2f5ca1a770d4cbff1b17db2e487f544f96f009eab5fa2edad3ec9899e44ae3e
DIST firefox-78.0.2-zh-CN.xpi 600177 BLAKE2B dd3909d4c3777a5259f92ab499b354a3ae97839cadb504edadfaad92ac9af12bf5cb637775765f0d24c50c435ecad4621a53ac105165d8ff013ef6350c208513 SHA512 1f56ef51b8a5226477d623f886ba5622fe6ccc3e1e99abeab64a60dfd656920aca248fc80efc58d71f7126076f3ecca07f3b135b40d922686886ffa6194a17b3
DIST firefox-78.0.2-zh-TW.xpi 599268 BLAKE2B 5f2d2ac97f146f13ff3a16756c5d2208a3fb5f37277f0037c3f13dbb0530ff44478c290afcff4d2312167cf75915f65af1ec1c60480853a1d5ac3683d4c9df7e SHA512 03152b433cb8c80960b081f9ecf97447e492c1f2e8719397ea2dbf9865d0b60f8b24d653c7564dd866ca38068b92c6aa4978bfe78450989522dac160c125e43d
DIST firefox-78.0.2.source.tar.xz 334406116 BLAKE2B ecddeee641a61409cf603afe97c3e97854700d3858bef8ec0d09c58b39023162e2939a3619481c1b9ac7f5b98bf6c7082108db3c9736332f2e30a6ac14b34b2c SHA512 4aa753fb51459301379d186f3c93e15755530e5e1ea17795d620cc9da56eb5e76cce483ca57f4af339b6f17e47101dff772ca01fb1b469201a09283f14f567be
@@ -0,0 +1,5 @@
{
"policies": {
"DisableAppUpdate": true
}
}
@@ -0,0 +1,7 @@
#!/bin/sh
#
# Run Mozilla Firefox under Wayland
#
export MOZ_ENABLE_WAYLAND=1
exec @PREFIX@/bin/firefox "$@"
+7
View File
@@ -0,0 +1,7 @@
#!/bin/sh
#
# Run Mozilla Firefox on X11
#
export MOZ_DISABLE_WAYLAND=1
exec @PREFIX@/bin/firefox "$@"
+128
View File
@@ -0,0 +1,128 @@
#!/bin/bash
##
## Usage:
##
## $ firefox
##
## This script is meant to run Mozilla Firefox in Gentoo.
cmdname=$(basename "$0")
##
## Variables
##
MOZ_ARCH=$(uname -m)
case ${MOZ_ARCH} in
x86_64|s390x|sparc64)
MOZ_LIB_DIR="@PREFIX@/lib64"
SECONDARY_LIB_DIR="@PREFIX@/lib"
;;
*)
MOZ_LIB_DIR="@PREFIX@/lib"
SECONDARY_LIB_DIR="@PREFIX@/lib64"
;;
esac
MOZ_FIREFOX_FILE="firefox"
if [[ ! -r ${MOZ_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} ]]; then
if [[ ! -r ${SECONDARY_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} ]]; then
echo "Error: ${MOZ_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} not found" >&2
if [[ -d $SECONDARY_LIB_DIR ]]; then
echo " ${SECONDARY_LIB_DIR}/firefox/${MOZ_FIREFOX_FILE} not found" >&2
fi
exit 1
fi
MOZ_LIB_DIR="$SECONDARY_LIB_DIR"
fi
MOZILLA_FIVE_HOME="${MOZ_LIB_DIR}/firefox"
MOZ_EXTENSIONS_PROFILE_DIR="${HOME}/.mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}"
MOZ_PROGRAM="${MOZILLA_FIVE_HOME}/${MOZ_FIREFOX_FILE}"
DESKTOP_FILE="firefox"
##
## Enable Wayland backend?
##
if @DEFAULT_WAYLAND@ && [[ -z ${MOZ_DISABLE_WAYLAND} ]]; then
if [[ -n "$WAYLAND_DISPLAY" ]]; then
DESKTOP_FILE="firefox-wayland"
export MOZ_ENABLE_WAYLAND=1
fi
elif [[ -n ${MOZ_DISABLE_WAYLAND} ]]; then
DESKTOP_FILE="firefox-x11"
fi
##
## Use D-Bus remote exclusively when there's Wayland display.
##
if [[ -n "${WAYLAND_DISPLAY}" ]]; then
export MOZ_DBUS_REMOTE=1
fi
##
## Make sure that we set the plugin path
##
MOZ_PLUGIN_DIR="plugins"
if [[ -n "${MOZ_PLUGIN_PATH}" ]]; then
MOZ_PLUGIN_PATH=${MOZ_PLUGIN_PATH}:${MOZ_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
else
MOZ_PLUGIN_PATH=${MOZ_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
fi
if [[ -d "${SECONDARY_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}" ]]; then
MOZ_PLUGIN_PATH=${MOZ_PLUGIN_PATH}:${SECONDARY_LIB_DIR}/mozilla/${MOZ_PLUGIN_DIR}
fi
export MOZ_PLUGIN_PATH
##
## Set MOZ_APP_LAUNCHER for gnome-session
##
export MOZ_APP_LAUNCHER="@PREFIX@/bin/${cmdname}"
##
## Disable the GNOME crash dialog, Moz has it's own
##
if [[ "$XDG_CURRENT_DESKTOP" == "GNOME" ]]; then
GNOME_DISABLE_CRASH_DIALOG=1
export GNOME_DISABLE_CRASH_DIALOG
fi
##
## Enable Xinput2 (#617344)
##
# respect user settings
MOZ_USE_XINPUT2=${MOZ_USE_XINPUT2:-auto}
if [[ ${MOZ_USE_XINPUT2} == auto && -n ${WAYLAND_DISPLAY} ]]; then
# enabling XINPUT2 should be safe for all wayland users
MOZ_USE_XINPUT2=1
elif [[ ${MOZ_USE_XINPUT2} == auto && ${XDG_CURRENT_DESKTOP^^} == KDE ]]; then
# XINPUT2 is known to cause problems for KWin users
MOZ_USE_XINPUT2=0
elif [[ ${MOZ_USE_XINPUT2} == auto && ${XDG_CURRENT_DESKTOP^^} == LXQT ]]; then
# LXQt uses KWin
MOZ_USE_XINPUT2=0
elif [[ ${MOZ_USE_XINPUT2} == auto ]]; then
# should work on Mate, Xfce, FluxBox, OpenBox and all the others ...
MOZ_USE_XINPUT2=1
fi
[[ ${MOZ_USE_XINPUT2} != 0 ]] && export MOZ_USE_XINPUT2=${MOZ_USE_XINPUT2}
# Don't throw "old profile" dialog box.
export MOZ_ALLOW_DOWNGRADE=1
##
## Route to the correct .desktop file to get proper
## name and actions
##
if [[ $@ != *"--name "* ]]; then
set -- --name "${DESKTOP_FILE}" "$@"
fi
# Run the browser
exec ${MOZ_PROGRAM} "$@"
@@ -0,0 +1,19 @@
pref("app.update.enabled", false);
pref("app.update.autoInstallEnabled", false);
pref("browser.display.use_system_colors", true);
pref("browser.link.open_external", 3);
pref("general.smoothScroll", true);
pref("general.autoScroll", false);
pref("browser.tabs.tabMinWidth", 15);
pref("browser.backspace_action", 0);
pref("browser.urlbar.hideGoButton", true);
pref("accessibility.typeaheadfind", true);
pref("browser.shell.checkDefaultBrowser", false);
pref("browser.EULA.override", true);
pref("general.useragent.vendor", "Gentoo");
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
pref("intl.locale.requested", "");
pref("extensions.autoDisableScopes", 0);
pref("layout.css.dpi", 0);
pref("network.trr.mode", 5);
pref("app.normandy.enabled", false);
@@ -0,0 +1,2 @@
pref("layers.acceleration.force-enabled", true);
pref("webgl.force-enabled", true);
@@ -0,0 +1,230 @@
[Desktop Entry]
Version=1.0
Name=@NAME@
GenericName=Web Browser
Comment=Browse the Web
Exec=@EXEC@ %u
Icon=@ICON@
Terminal=false
Type=Application
MimeType=application/pdf;application/vnd.mozilla.xul+xml;application/xhtml+xml;text/html;text/mml;text/xml;x-scheme-handler/ftp;x-scheme-handler/http;x-scheme-handler/https;
StartupNotify=@STARTUP_NOTIFY@
Categories=Network;WebBrowser;
Keywords=web;browser;internet;
Actions=new-window;new-private-window;
[Desktop Action new-window]
Name=Open a New Window
Name[ach]=Dirica manyen
Name[af]=Nuwe venster
Name[an]=Nueva finestra
Name[ar]=نافذة جديدة
Name[as]=নতুন উইন্ডো
Name[ast]=Ventana nueva
Name[az]=Yeni Pəncərə
Name[be]=Новае акно
Name[bg]=Нов прозорец
Name[bn_BD]=নতুন উইন্ডো (N)
Name[bn_IN]=নতুন উইন্ডো
Name[br]=Prenestr nevez
Name[brx]=गोदान उइन्ड'(N)
Name[bs]=Novi prozor
Name[ca]=Finestra nova
Name[cak]=K'ak'a' tzuwäch
Name[cs]=Nové okno
Name[cy]=Ffenestr Newydd
Name[da]=Nyt vindue
Name[de]=Neues Fenster
Name[dsb]=Nowe wokno
Name[el]=Νέο παράθυρο
Name[en_GB]=New Window
Name[en_US]=New Window
Name[en_ZA]=New Window
Name[eo]=Nova fenestro
Name[es_AR]=Nueva ventana
Name[es_CL]=Nueva ventana
Name[es_ES]=Nueva ventana
Name[es_MX]=Nueva ventana
Name[et]=Uus aken
Name[eu]=Leiho berria
Name[fa]=پنجره جدید‌
Name[ff]=Henorde Hesere
Name[fi]=Uusi ikkuna
Name[fr]=Nouvelle fenêtre
Name[fy_NL]=Nij finster
Name[ga_IE]=Fuinneog Nua
Name[gd]=Uinneag ùr
Name[gl]=Nova xanela
Name[gn]=Ovetã pyahu
Name[gu_IN]=નવી વિન્ડો
Name[he]=חלון חדש
Name[hi_IN]=नया विंडो
Name[hr]=Novi prozor
Name[hsb]=Nowe wokno
Name[hu]=Új ablak
Name[hy_AM]=Նոր Պատուհան
Name[id]=Jendela Baru
Name[is]=Nýr gluggi
Name[it]=Nuova finestra
Name[ja]=新しいウィンドウ
Name[ja_JP-mac]=新規ウインドウ
Name[ka]=ახალი ფანჯარა
Name[kk]=Жаңа терезе
Name[km]=បង្អួច​​ថ្មី
Name[kn]=ಹೊಸ ಕಿಟಕಿ
Name[ko]=새 창
Name[kok]=नवें जनेल
Name[ks]=نئئ وِنڈو
Name[lij]=Neuvo barcon
Name[lo]=ຫນ້າຕ່າງໃຫມ່
Name[lt]=Naujas langas
Name[ltg]=Jauns lūgs
Name[lv]=Jauns logs
Name[mai]=नव विंडो
Name[mk]=Нов прозорец
Name[ml]=പുതിയ ജാലകം
Name[mr]=नवीन पटल
Name[ms]=Tetingkap Baru
Name[my]=ဝင်းဒိုးအသစ်
Name[nb_NO]=Nytt vindu
Name[ne_NP]=नयाँ सञ्झ्याल
Name[nl]=Nieuw venster
Name[nn_NO]=Nytt vindauge
Name[or]=ନୂତନ ୱିଣ୍ଡୋ
Name[pa_IN]=ਨਵੀਂ ਵਿੰਡੋ
Name[pl]=Nowe okno
Name[pt_BR]=Nova janela
Name[pt_PT]=Nova janela
Name[rm]=Nova fanestra
Name[ro]=Fereastră nouă
Name[ru]=Новое окно
Name[sat]=नावा विंडो (N)
Name[si]=නව කවුළුවක්
Name[sk]=Nové okno
Name[sl]=Novo okno
Name[son]=Zanfun taaga
Name[sq]=Dritare e Re
Name[sr]=Нови прозор
Name[sv_SE]=Nytt fönster
Name[ta]=புதிய சாளரம்
Name[te]=కొత్త విండో
Name[th]=หน้าต่างใหม่
Name[tr]=Yeni pencere
Name[tsz]=Eraatarakua jimpani
Name[uk]=Нове вікно
Name[ur]=نیا دریچہ
Name[uz]=Yangi oyna
Name[vi]=Cửa sổ mới
Name[wo]=Palanteer bu bees
Name[xh]=Ifestile entsha
Name[zh_CN]=新建窗口
Name[zh_TW]=開新視窗
Exec=@EXEC@ --new-window %u
[Desktop Action new-private-window]
Name=Open a New Private Window
Name[ach]=Dirica manyen me mung
Name[af]=Nuwe privaatvenster
Name[an]=Nueva finestra privada
Name[ar]=نافذة خاصة جديدة
Name[as]=নতুন ব্যক্তিগত উইন্ডো
Name[ast]=Ventana privada nueva
Name[az]=Yeni Məxfi Pəncərə
Name[be]=Новае акно адасаблення
Name[bg]=Нов прозорец за поверително сърфиране
Name[bn_BD]=নতুন ব্যক্তিগত উইন্ডো
Name[bn_IN]=নতুন ব্যক্তিগত উইন্ডো
Name[br]=Prenestr merdeiñ prevez nevez
Name[brx]=गोदान प्राइभेट उइन्ड'
Name[bs]=Novi privatni prozor
Name[ca]=Finestra privada nova
Name[cak]=K'ak'a' ichinan tzuwäch
Name[cs]=Nové anonymní okno
Name[cy]=Ffenestr Breifat Newydd
Name[da]=Nyt privat vindue
Name[de]=Neues privates Fenster
Name[dsb]=Nowe priwatne wokno
Name[el]=Νέο παράθυρο ιδιωτικής περιήγησης
Name[en_GB]=New Private Window
Name[en_US]=New Private Window
Name[en_ZA]=New Private Window
Name[eo]=Nova privata fenestro
Name[es_AR]=Nueva ventana privada
Name[es_CL]=Nueva ventana privada
Name[es_ES]=Nueva ventana privada
Name[es_MX]=Nueva ventana privada
Name[et]=Uus privaatne aken
Name[eu]=Leiho pribatu berria
Name[fa]=پنجره ناشناس جدید
Name[ff]=Henorde Suturo Hesere
Name[fi]=Uusi yksityinen ikkuna
Name[fr]=Nouvelle fenêtre de navigation privée
Name[fy_NL]=Nij priveefinster
Name[ga_IE]=Fuinneog Nua Phríobháideach
Name[gd]=Uinneag phrìobhaideach ùr
Name[gl]=Nova xanela privada
Name[gn]=Ovetã ñemi pyahu
Name[gu_IN]=નવી ખાનગી વિન્ડો
Name[he]=חלון פרטי חדש
Name[hi_IN]=नयी निजी विंडो
Name[hr]=Novi privatni prozor
Name[hsb]=Nowe priwatne wokno
Name[hu]=Új privát ablak
Name[hy_AM]=Սկսել Գաղտնի դիտարկում
Name[id]=Jendela Mode Pribadi Baru
Name[is]=Nýr huliðsgluggi
Name[it]=Nuova finestra anonima
Name[ja]=新しいプライベートウィンドウ
Name[ja_JP-mac]=新規プライベートウインドウ
Name[ka]=ახალი პირადი ფანჯარა
Name[kk]=Жаңа жекелік терезе
Name[km]=បង្អួច​ឯកជន​ថ្មី
Name[kn]=ಹೊಸ ಖಾಸಗಿ ಕಿಟಕಿ
Name[ko]=새 사생활 보호 모드
Name[kok]=नवो खाजगी विंडो
Name[ks]=نْو پرایوٹ وینڈو&
Name[lij]=Neuvo barcon privou
Name[lo]=ເປີດຫນ້າຕ່າງສວນຕົວຂື້ນມາໃຫມ່
Name[lt]=Naujas privataus naršymo langas
Name[ltg]=Jauns privatais lūgs
Name[lv]=Jauns privātais logs
Name[mai]=नया निज विंडो (W)
Name[mk]=Нов приватен прозорец
Name[ml]=പുതിയ സ്വകാര്യ ജാലകം
Name[mr]=नवीन वैयक्तिक पटल
Name[ms]=Tetingkap Persendirian Baharu
Name[my]=New Private Window
Name[nb_NO]=Nytt privat vindu
Name[ne_NP]=नयाँ निजी सञ्झ्याल
Name[nl]=Nieuw privévenster
Name[nn_NO]=Nytt privat vindauge
Name[or]=ନୂତନ ବ୍ୟକ୍ତିଗତ ୱିଣ୍ଡୋ
Name[pa_IN]=ਨਵੀਂ ਪ੍ਰਾਈਵੇਟ ਵਿੰਡੋ
Name[pl]=Nowe okno prywatne
Name[pt_BR]=Nova janela privativa
Name[pt_PT]=Nova janela privada
Name[rm]=Nova fanestra privata
Name[ro]=Fereastră privată nouă
Name[ru]=Новое приватное окно
Name[sat]=नावा निजेराक् विंडो (W )
Name[si]=නව පුද්ගලික කවුළුව (W)
Name[sk]=Nové okno v režime Súkromné prehliadanie
Name[sl]=Novo zasebno okno
Name[son]=Sutura zanfun taaga
Name[sq]=Dritare e Re Private
Name[sr]=Нови приватан прозор
Name[sv_SE]=Nytt privat fönster
Name[ta]=புதிய தனிப்பட்ட சாளரம்
Name[te]=కొత్త ఆంతరంగిక విండో
Name[th]=หน้าต่างส่วนตัวใหม่
Name[tr]=Yeni gizli pencere
Name[tsz]=Juchiiti eraatarakua jimpani
Name[uk]=Приватне вікно
Name[ur]=نیا نجی دریچہ
Name[uz]=Yangi maxfiy oyna
Name[vi]=Cửa sổ riêng tư mới
Name[wo]=Panlanteeru biir bu bees
Name[xh]=Ifestile yangasese entsha
Name[zh_CN]=新建隐私浏览窗口
Name[zh_TW]=新增隱私視窗
Exec=@EXEC@ --private-window %u
@@ -0,0 +1,236 @@
[Desktop Entry]
Version=1.0
Name=@NAME@
GenericName=Web Browser
Comment=Browse the Web
Exec=@EXEC@ %u
Icon=@ICON@
Terminal=false
Type=Application
MimeType=application/pdf;application/vnd.mozilla.xul+xml;application/xhtml+xml;text/html;text/mml;text/xml;x-scheme-handler/ftp;x-scheme-handler/http;x-scheme-handler/https;
StartupNotify=true
Categories=Network;WebBrowser;
Keywords=web;browser;internet;
Actions=new-window;new-private-window;profile-manager-window;
[Desktop Action new-window]
Name=Open a New Window
Name[ach]=Dirica manyen
Name[af]=Nuwe venster
Name[an]=Nueva finestra
Name[ar]=نافذة جديدة
Name[as]=নতুন উইন্ডো
Name[ast]=Ventana nueva
Name[az]=Yeni Pəncərə
Name[be]=Новае акно
Name[bg]=Нов прозорец
Name[bn_BD]=নতুন উইন্ডো (N)
Name[bn_IN]=নতুন উইন্ডো
Name[br]=Prenestr nevez
Name[brx]=गोदान उइन्ड'(N)
Name[bs]=Novi prozor
Name[ca]=Finestra nova
Name[cak]=K'ak'a' tzuwäch
Name[cs]=Nové okno
Name[cy]=Ffenestr Newydd
Name[da]=Nyt vindue
Name[de]=Neues Fenster
Name[dsb]=Nowe wokno
Name[el]=Νέο παράθυρο
Name[en_GB]=New Window
Name[en_US]=New Window
Name[en_ZA]=New Window
Name[eo]=Nova fenestro
Name[es_AR]=Nueva ventana
Name[es_CL]=Nueva ventana
Name[es_ES]=Nueva ventana
Name[es_MX]=Nueva ventana
Name[et]=Uus aken
Name[eu]=Leiho berria
Name[fa]=پنجره جدید‌
Name[ff]=Henorde Hesere
Name[fi]=Uusi ikkuna
Name[fr]=Nouvelle fenêtre
Name[fy_NL]=Nij finster
Name[ga_IE]=Fuinneog Nua
Name[gd]=Uinneag ùr
Name[gl]=Nova xanela
Name[gn]=Ovetã pyahu
Name[gu_IN]=નવી વિન્ડો
Name[he]=חלון חדש
Name[hi_IN]=नया विंडो
Name[hr]=Novi prozor
Name[hsb]=Nowe wokno
Name[hu]=Új ablak
Name[hy_AM]=Նոր Պատուհան
Name[id]=Jendela Baru
Name[is]=Nýr gluggi
Name[it]=Nuova finestra
Name[ja]=新しいウィンドウ
Name[ja_JP-mac]=新規ウインドウ
Name[ka]=ახალი ფანჯარა
Name[kk]=Жаңа терезе
Name[km]=បង្អួច​​ថ្មី
Name[kn]=ಹೊಸ ಕಿಟಕಿ
Name[ko]=새 창
Name[kok]=नवें जनेल
Name[ks]=نئئ وِنڈو
Name[lij]=Neuvo barcon
Name[lo]=ຫນ້າຕ່າງໃຫມ່
Name[lt]=Naujas langas
Name[ltg]=Jauns lūgs
Name[lv]=Jauns logs
Name[mai]=नव विंडो
Name[mk]=Нов прозорец
Name[ml]=പുതിയ ജാലകം
Name[mr]=नवीन पटल
Name[ms]=Tetingkap Baru
Name[my]=ဝင်းဒိုးအသစ်
Name[nb_NO]=Nytt vindu
Name[ne_NP]=नयाँ सञ्झ्याल
Name[nl]=Nieuw venster
Name[nn_NO]=Nytt vindauge
Name[or]=ନୂତନ ୱିଣ୍ଡୋ
Name[pa_IN]=ਨਵੀਂ ਵਿੰਡੋ
Name[pl]=Nowe okno
Name[pt_BR]=Nova janela
Name[pt_PT]=Nova janela
Name[rm]=Nova fanestra
Name[ro]=Fereastră nouă
Name[ru]=Новое окно
Name[sat]=नावा विंडो (N)
Name[si]=නව කවුළුවක්
Name[sk]=Nové okno
Name[sl]=Novo okno
Name[son]=Zanfun taaga
Name[sq]=Dritare e Re
Name[sr]=Нови прозор
Name[sv_SE]=Nytt fönster
Name[ta]=புதிய சாளரம்
Name[te]=కొత్త విండో
Name[th]=หน้าต่างใหม่
Name[tr]=Yeni pencere
Name[tsz]=Eraatarakua jimpani
Name[uk]=Нове вікно
Name[ur]=نیا دریچہ
Name[uz]=Yangi oyna
Name[vi]=Cửa sổ mới
Name[wo]=Palanteer bu bees
Name[xh]=Ifestile entsha
Name[zh_CN]=新建窗口
Name[zh_TW]=開新視窗
Exec=@EXEC@ --new-window %u
[Desktop Action new-private-window]
Name=Open a New Private Window
Name[ach]=Dirica manyen me mung
Name[af]=Nuwe privaatvenster
Name[an]=Nueva finestra privada
Name[ar]=نافذة خاصة جديدة
Name[as]=নতুন ব্যক্তিগত উইন্ডো
Name[ast]=Ventana privada nueva
Name[az]=Yeni Məxfi Pəncərə
Name[be]=Новае акно адасаблення
Name[bg]=Нов прозорец за поверително сърфиране
Name[bn_BD]=নতুন ব্যক্তিগত উইন্ডো
Name[bn_IN]=নতুন ব্যক্তিগত উইন্ডো
Name[br]=Prenestr merdeiñ prevez nevez
Name[brx]=गोदान प्राइभेट उइन्ड'
Name[bs]=Novi privatni prozor
Name[ca]=Finestra privada nova
Name[cak]=K'ak'a' ichinan tzuwäch
Name[cs]=Nové anonymní okno
Name[cy]=Ffenestr Breifat Newydd
Name[da]=Nyt privat vindue
Name[de]=Neues privates Fenster
Name[dsb]=Nowe priwatne wokno
Name[el]=Νέο παράθυρο ιδιωτικής περιήγησης
Name[en_GB]=New Private Window
Name[en_US]=New Private Window
Name[en_ZA]=New Private Window
Name[eo]=Nova privata fenestro
Name[es_AR]=Nueva ventana privada
Name[es_CL]=Nueva ventana privada
Name[es_ES]=Nueva ventana privada
Name[es_MX]=Nueva ventana privada
Name[et]=Uus privaatne aken
Name[eu]=Leiho pribatu berria
Name[fa]=پنجره ناشناس جدید
Name[ff]=Henorde Suturo Hesere
Name[fi]=Uusi yksityinen ikkuna
Name[fr]=Nouvelle fenêtre de navigation privée
Name[fy_NL]=Nij priveefinster
Name[ga_IE]=Fuinneog Nua Phríobháideach
Name[gd]=Uinneag phrìobhaideach ùr
Name[gl]=Nova xanela privada
Name[gn]=Ovetã ñemi pyahu
Name[gu_IN]=નવી ખાનગી વિન્ડો
Name[he]=חלון פרטי חדש
Name[hi_IN]=नयी निजी विंडो
Name[hr]=Novi privatni prozor
Name[hsb]=Nowe priwatne wokno
Name[hu]=Új privát ablak
Name[hy_AM]=Սկսել Գաղտնի դիտարկում
Name[id]=Jendela Mode Pribadi Baru
Name[is]=Nýr huliðsgluggi
Name[it]=Nuova finestra anonima
Name[ja]=新しいプライベートウィンドウ
Name[ja_JP-mac]=新規プライベートウインドウ
Name[ka]=ახალი პირადი ფანჯარა
Name[kk]=Жаңа жекелік терезе
Name[km]=បង្អួច​ឯកជន​ថ្មី
Name[kn]=ಹೊಸ ಖಾಸಗಿ ಕಿಟಕಿ
Name[ko]=새 사생활 보호 모드
Name[kok]=नवो खाजगी विंडो
Name[ks]=نْو پرایوٹ وینڈو&
Name[lij]=Neuvo barcon privou
Name[lo]=ເປີດຫນ້າຕ່າງສວນຕົວຂື້ນມາໃຫມ່
Name[lt]=Naujas privataus naršymo langas
Name[ltg]=Jauns privatais lūgs
Name[lv]=Jauns privātais logs
Name[mai]=नया निज विंडो (W)
Name[mk]=Нов приватен прозорец
Name[ml]=പുതിയ സ്വകാര്യ ജാലകം
Name[mr]=नवीन वैयक्तिक पटल
Name[ms]=Tetingkap Persendirian Baharu
Name[my]=New Private Window
Name[nb_NO]=Nytt privat vindu
Name[ne_NP]=नयाँ निजी सञ्झ्याल
Name[nl]=Nieuw privévenster
Name[nn_NO]=Nytt privat vindauge
Name[or]=ନୂତନ ବ୍ୟକ୍ତିଗତ ୱିଣ୍ଡୋ
Name[pa_IN]=ਨਵੀਂ ਪ੍ਰਾਈਵੇਟ ਵਿੰਡੋ
Name[pl]=Nowe okno prywatne
Name[pt_BR]=Nova janela privativa
Name[pt_PT]=Nova janela privada
Name[rm]=Nova fanestra privata
Name[ro]=Fereastră privată nouă
Name[ru]=Новое приватное окно
Name[sat]=नावा निजेराक् विंडो (W )
Name[si]=නව පුද්ගලික කවුළුව (W)
Name[sk]=Nové okno v režime Súkromné prehliadanie
Name[sl]=Novo zasebno okno
Name[son]=Sutura zanfun taaga
Name[sq]=Dritare e Re Private
Name[sr]=Нови приватан прозор
Name[sv_SE]=Nytt privat fönster
Name[ta]=புதிய தனிப்பட்ட சாளரம்
Name[te]=కొత్త ఆంతరంగిక విండో
Name[th]=หน้าต่างส่วนตัวใหม่
Name[tr]=Yeni gizli pencere
Name[tsz]=Juchiiti eraatarakua jimpani
Name[uk]=Приватне вікно
Name[ur]=نیا نجی دریچہ
Name[uz]=Yangi maxfiy oyna
Name[vi]=Cửa sổ riêng tư mới
Name[wo]=Panlanteeru biir bu bees
Name[xh]=Ifestile yangasese entsha
Name[zh_CN]=新建隐私浏览窗口
Name[zh_TW]=新增隱私視窗
Exec=@EXEC@ --private-window %u
[Desktop Action profile-manager-window]
Name=Open the Profile Manager
Name[de]=Profilverwaltung öffnen
Name[cs]=Správa profilů
Exec=@EXEC@ --ProfileManager
@@ -0,0 +1,10 @@
[Desktop Entry]
Name=@NAME@
Comment=Web Browser
Exec=firefox %u
Icon=@ICON@
Terminal=false
Type=Application
MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;
Categories=Network;WebBrowser;
+921
View File
@@ -0,0 +1,921 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="6"
VIRTUALX_REQUIRED="pgo"
WANT_AUTOCONF="2.1"
MOZ_ESR=""
PYTHON_COMPAT=( python3_{6,7,8,9} )
PYTHON_REQ_USE='ncurses,sqlite,ssl,threads(+)'
# This list can be updated with scripts/get_langs.sh from the mozilla overlay
MOZ_LANGS=( ach af an ar ast az be bg bn br bs ca cak cs cy da de dsb
el en en-CA en-GB en-US eo es-AR es-CL es-ES es-MX et eu fa ff fi fr
fy-NL ga-IE gd gl gn gu-IN he hi-IN hr hsb hu hy-AM ia id is it ja ka
kab kk km kn ko lij lt lv mk mr ms my nb-NO nl nn-NO oc pa-IN pl pt-BR
pt-PT rm ro ru si sk sl son sq sr sv-SE ta te th tr uk ur uz vi xh
zh-CN zh-TW )
# Convert the ebuild version to the upstream mozilla version, used by mozlinguas
MOZ_PV="${PV/_alpha/a}" # Handle alpha for SRC_URI
MOZ_PV="${MOZ_PV/_beta/b}" # Handle beta for SRC_URI
MOZ_PV="${MOZ_PV%%_rc*}" # Handle rc for SRC_URI
if [[ ${MOZ_ESR} == 1 ]] ; then
# ESR releases have slightly different version numbers
MOZ_PV="${MOZ_PV}esr"
fi
# Patch version
PATCH="${PN}-78.0-patches-05"
MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/releases"
MOZ_SRC_URI="${MOZ_HTTP_URI}/${MOZ_PV}/source/${PN}-${MOZ_PV}.source.tar.xz"
if [[ "${PV}" == *_rc* ]]; then
MOZ_HTTP_URI="https://archive.mozilla.org/pub/${PN}/candidates/${MOZ_PV}-candidates/build${PV##*_rc}"
MOZ_LANGPACK_PREFIX="linux-i686/xpi/"
MOZ_SRC_URI="${MOZ_HTTP_URI}/source/${PN}-${MOZ_PV}.source.tar.xz -> $P.tar.xz"
fi
LLVM_MAX_SLOT=10
inherit check-reqs eapi7-ver flag-o-matic toolchain-funcs eutils \
gnome2-utils llvm mozcoreconf-v6 pax-utils xdg-utils \
autotools mozlinguas-v2 multiprocessing virtualx
DESCRIPTION="Firefox Web Browser"
HOMEPAGE="https://www.mozilla.com/firefox"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
SLOT="0"
LICENSE="MPL-2.0 GPL-2 LGPL-2.1"
IUSE="bindist clang cpu_flags_x86_avx2 debug eme-free geckodriver
+gmp-autoupdate hardened hwaccel jack lto cpu_flags_arm_neon
+openh264 pgo pulseaudio screencast +screenshot selinux +system-av1
+system-harfbuzz +system-icu +system-jpeg +system-libevent
+system-libvpx +system-webp test wayland wifi"
REQUIRED_USE="pgo? ( lto )"
RESTRICT="!bindist? ( bindist )
!test? ( test )"
PATCH_URIS=( https://dev.gentoo.org/~{whissi,polynomial-c,axs}/mozilla/patchsets/${PATCH}.tar.xz )
SRC_URI="${SRC_URI}
${MOZ_SRC_URI}
${PATCH_URIS[@]}"
CDEPEND="
>=dev-libs/nss-3.53.1
>=dev-libs/nspr-4.25
dev-libs/atk
dev-libs/expat
>=x11-libs/cairo-1.10[X]
>=x11-libs/gtk+-2.18:2
>=x11-libs/gtk+-3.4.0:3[X]
x11-libs/gdk-pixbuf
>=x11-libs/pango-1.22.0
>=media-libs/libpng-1.6.35:0=[apng]
>=media-libs/mesa-10.2:*
media-libs/fontconfig
>=media-libs/freetype-2.4.10
kernel_linux? ( !pulseaudio? ( media-libs/alsa-lib ) )
virtual/freedesktop-icon-theme
sys-apps/dbus
dev-libs/dbus-glib
>=x11-libs/pixman-0.19.2
>=dev-libs/glib-2.26:2
>=sys-libs/zlib-1.2.3
>=dev-libs/libffi-3.0.10:=
media-video/ffmpeg
x11-libs/libX11
x11-libs/libXcomposite
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXfixes
x11-libs/libXrender
x11-libs/libXt
screencast? ( media-video/pipewire:0/0.3 )
system-av1? (
>=media-libs/dav1d-0.3.0:=
>=media-libs/libaom-1.0.0:=
)
system-harfbuzz? (
>=media-libs/harfbuzz-2.6.4:0=
>=media-gfx/graphite2-1.3.13
)
system-icu? ( >=dev-libs/icu-67.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
system-libevent? ( >=dev-libs/libevent-2.0:0=[threads] )
system-libvpx? ( >=media-libs/libvpx-1.8.2:0=[postproc] )
system-webp? ( >=media-libs/libwebp-1.1.0:0= )
wifi? (
kernel_linux? (
net-misc/networkmanager
)
)
jack? ( virtual/jack )
selinux? ( sec-policy/selinux-mozilla )"
RDEPEND="${CDEPEND}
jack? ( virtual/jack )
openh264? ( media-libs/openh264:*[plugin] )
pulseaudio? (
|| (
media-sound/pulseaudio
>=media-sound/apulse-0.1.12-r4
)
)
selinux? ( sec-policy/selinux-mozilla )"
DEPEND="${CDEPEND}
app-arch/zip
app-arch/unzip
>=dev-util/cbindgen-0.14.1
>=net-libs/nodejs-10.19.0
>=sys-devel/binutils-2.30
sys-apps/findutils
virtual/pkgconfig
>=virtual/rust-1.41.0
|| (
(
sys-devel/clang:10
!clang? ( sys-devel/llvm:10 )
clang? (
=sys-devel/lld-10*
sys-devel/llvm:10[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-10*[profile] )
)
)
(
sys-devel/clang:9
!clang? ( sys-devel/llvm:9 )
clang? (
=sys-devel/lld-9*
sys-devel/llvm:9[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-9*[profile] )
)
)
(
sys-devel/clang:8
!clang? ( sys-devel/llvm:8 )
clang? (
=sys-devel/lld-8*
sys-devel/llvm:8[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-8*[profile] )
)
)
(
sys-devel/clang:7
!clang? ( sys-devel/llvm:7 )
clang? (
=sys-devel/lld-7*
sys-devel/llvm:7[gold]
pgo? ( =sys-libs/compiler-rt-sanitizers-7*[profile] )
)
)
)
pulseaudio? (
|| (
media-sound/pulseaudio
>=media-sound/apulse-0.1.12-r4[sdk]
)
)
wayland? ( >=x11-libs/gtk+-3.11:3[wayland] )
amd64? ( >=dev-lang/yasm-1.1 virtual/opengl )
x86? ( >=dev-lang/yasm-1.1 virtual/opengl )
!system-av1? (
amd64? ( >=dev-lang/nasm-2.13 )
x86? ( >=dev-lang/nasm-2.13 )
)"
S="${WORKDIR}/firefox-${PV%_*}"
BUILD_OBJ_DIR="${S}/ff"
# allow GMP_PLUGIN_LIST to be set in an eclass or
# overridden in the enviromnent (advanced hackers only)
if [[ -z $GMP_PLUGIN_LIST ]] ; then
GMP_PLUGIN_LIST=( gmp-gmpopenh264 gmp-widevinecdm )
fi
llvm_check_deps() {
if ! has_version --host-root "sys-devel/clang:${LLVM_SLOT}" ; then
ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use clang ; then
if ! has_version --host-root "=sys-devel/lld-${LLVM_SLOT}*" ; then
ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
if use pgo ; then
if ! has_version --host-root "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}*" ; then
ewarn "=sys-libs/compiler-rt-sanitizers-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..." >&2
return 1
fi
fi
fi
einfo "Will use LLVM slot ${LLVM_SLOT}!" >&2
}
pkg_pretend() {
if use pgo ; then
if ! has usersandbox $FEATURES ; then
die "You must enable usersandbox as X server can not run as root!"
fi
fi
# Ensure we have enough disk space to compile
if use pgo || use lto || use debug || use test ; then
CHECKREQS_DISK_BUILD="10G"
else
CHECKREQS_DISK_BUILD="5G"
fi
check-reqs_pkg_pretend
}
pkg_setup() {
moz_pkgsetup
# Ensure we have enough disk space to compile
if use pgo || use lto || use debug || use test ; then
CHECKREQS_DISK_BUILD="10G"
else
CHECKREQS_DISK_BUILD="5G"
fi
check-reqs_pkg_setup
# Avoid PGO profiling problems due to enviroment leakage
# These should *always* be cleaned up anyway
unset DBUS_SESSION_BUS_ADDRESS \
DISPLAY \
ORBIT_SOCKETDIR \
SESSION_MANAGER \
XDG_CACHE_HOME \
XDG_SESSION_COOKIE \
XAUTHORITY
if ! use bindist ; then
einfo
elog "You are enabling official branding. You may not redistribute this build"
elog "to any users on your network or the internet. Doing so puts yourself into"
elog "a legal problem with Mozilla Foundation."
elog "You can disable it by emerging ${PN} _with_ the bindist USE-flag."
fi
addpredict /proc/self/oom_score_adj
llvm_pkg_setup
}
src_unpack() {
default
# Unpack language packs
mozlinguas_src_unpack
}
src_prepare() {
eapply "${WORKDIR}/firefox"
# Make LTO respect MAKEOPTS
sed -i \
-e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
"${S}"/build/moz.configure/lto-pgo.configure \
|| die "sed failed to set num_cores"
# Make ICU respect MAKEOPTS
sed -i \
-e "s/multiprocessing.cpu_count()/$(makeopts_jobs)/" \
"${S}"/intl/icu_sources_data.py \
|| die "sed failed to set num_cores"
# sed-in toolchain prefix
sed -i \
-e "s/objdump/${CHOST}-objdump/" \
"${S}"/python/mozbuild/mozbuild/configure/check_debug_ranges.py \
|| die "sed failed to set toolchain prefix"
# Allow user to apply any additional patches without modifing ebuild
eapply_user
einfo "Removing pre-built binaries ..."
find "${S}"/third_party -type f \( -name '*.so' -o -name '*.o' \) -print -delete || die
# Enable gnomebreakpad
if use debug ; then
sed -i -e "s:GNOME_DISABLE_CRASH_DIALOG=1:GNOME_DISABLE_CRASH_DIALOG=0:g" \
"${S}"/build/unix/run-mozilla.sh || die "sed failed!"
fi
# Drop -Wl,--as-needed related manipulation for ia64 as it causes ld sefgaults, bug #582432
if use ia64 ; then
sed -i \
-e '/^OS_LIBS += no_as_needed/d' \
-e '/^OS_LIBS += as_needed/d' \
"${S}"/widget/gtk/mozgtk/gtk2/moz.build \
"${S}"/widget/gtk/mozgtk/gtk3/moz.build \
|| die "sed failed to drop --as-needed for ia64"
fi
# Fix sandbox violations during make clean, bug 372817
sed -e "s:\(/no-such-file\):${T}\1:g" \
-i "${S}"/config/rules.mk \
-i "${S}"/nsprpub/configure{.in,} \
|| die
# Don't exit with error when some libs are missing which we have in
# system.
sed '/^MOZ_PKG_FATAL_WARNINGS/s@= 1@= 0@' \
-i "${S}"/browser/installer/Makefile.in || die
# Don't error out when there's no files to be removed:
sed 's@\(xargs rm\)$@\1 -f@' \
-i "${S}"/toolkit/mozapps/installer/packager.mk || die
# Keep codebase the same even if not using official branding
sed '/^MOZ_DEV_EDITION=1/d' \
-i "${S}"/browser/branding/aurora/configure.sh || die
# rustfmt, a tool to format Rust code, is optional and not required to build Firefox.
# However, when available, an unsupported version can cause problems, bug #669548
sed -i -e "s@check_prog('RUSTFMT', add_rustup_path('rustfmt')@check_prog('RUSTFMT', add_rustup_path('rustfmt_do_not_use')@" \
"${S}"/build/moz.configure/rust.configure || die
# Autotools configure is now called old-configure.in
# This works because there is still a configure.in that happens to be for the
# shell wrapper configure script
eautoreconf old-configure.in
# Must run autoconf in js/src
cd "${S}"/js/src || die
eautoconf old-configure.in
# Clear checksums that present a problem
sed -i 's/\("files":{\)[^}]*/\1/' "${S}"/third_party/rust/target-lexicon-0.9.0/.cargo-checksum.json || die
}
src_configure() {
MEXTENSIONS="default"
# Google API keys (see http://www.chromium.org/developers/how-tos/api-keys)
# Note: These are for Gentoo Linux use ONLY. For your own distribution, please
# get your own set of keys.
_google_api_key=AIzaSyDEAOvatFo0eTgsV_ZlEzx0ObmepsMzfAc
# Add information about TERM to output (build.log) to aid debugging
# blessings problems
if [[ -n "${TERM}" ]] ; then
einfo "TERM is set to: \"${TERM}\""
else
einfo "TERM is unset."
fi
if use clang && ! tc-is-clang ; then
# Force clang
einfo "Enforcing the use of clang due to USE=clang ..."
CC=${CHOST}-clang
CXX=${CHOST}-clang++
strip-unsupported-flags
elif ! use clang && ! tc-is-gcc ; then
# Force gcc
einfo "Enforcing the use of gcc due to USE=-clang ..."
CC=${CHOST}-gcc
CXX=${CHOST}-g++
strip-unsupported-flags
fi
####################################
#
# mozconfig, CFLAGS and CXXFLAGS setup
#
####################################
mozconfig_init
# common config components
mozconfig_annotate 'system_libs' \
--with-system-zlib
# Must pass release in order to properly select linker
mozconfig_annotate 'Enable by Gentoo' --enable-release
# libclang.so is not properly detected work around issue
mozconfig_annotate '' --with-libclang-path="$(llvm-config --libdir)"
if use pgo ; then
if ! has userpriv $FEATURES ; then
eerror "Building firefox with USE=pgo and FEATURES=-userpriv is not supported!"
fi
fi
# Don't let user's LTO flags clash with upstream's flags
filter-flags -flto*
if use lto ; then
local show_old_compiler_warning=
if use clang ; then
# At this stage CC is adjusted and the following check will
# will work
if [[ $(clang-major-version) -lt 7 ]] ; then
show_old_compiler_warning=1
fi
# Upstream only supports lld when using clang
mozconfig_annotate "forcing ld=lld due to USE=clang and USE=lto" --enable-linker=lld
else
if [[ $(gcc-major-version) -lt 8 ]] ; then
show_old_compiler_warning=1
fi
if ! use cpu_flags_x86_avx2 ; then
local _gcc_version_with_ipa_cdtor_fix="8.3"
local _current_gcc_version="$(gcc-major-version).$(gcc-minor-version)"
if ver_test "${_current_gcc_version}" -lt "${_gcc_version_with_ipa_cdtor_fix}" ; then
# due to a GCC bug, GCC will produce AVX2 instructions
# even if the CPU doesn't support AVX2, https://gcc.gnu.org/ml/gcc-patches/2018-12/msg01142.html
einfo "Disable IPA cdtor due to bug in GCC and missing AVX2 support -- triggered by USE=lto"
append-ldflags -fdisable-ipa-cdtor
else
einfo "No GCC workaround required, GCC version is already patched!"
fi
else
einfo "No GCC workaround required, system supports AVX2"
fi
# Linking only works when using ld.gold when LTO is enabled
mozconfig_annotate "forcing ld=gold due to USE=lto" --enable-linker=gold
fi
if [[ -n "${show_old_compiler_warning}" ]] ; then
# Checking compiler's major version uses CC variable. Because we allow
# user to control used compiler via USE=clang flag, we cannot use
# initial value. So this is the earliest stage where we can do this check
# because pkg_pretend is not called in the main phase function sequence
# environment saving is not guaranteed so we don't know if we will have
# correct compiler until now.
ewarn ""
ewarn "USE=lto requires up-to-date compiler (>=gcc-8 or >=clang-7)."
ewarn "You are on your own -- expect build failures. Don't file bugs using that unsupported configuration!"
ewarn ""
sleep 5
fi
mozconfig_annotate '+lto' --enable-lto=thin
if use pgo ; then
mozconfig_annotate '+pgo' MOZ_PGO=1
fi
else
# Avoid auto-magic on linker
if use clang ; then
# This is upstream's default
mozconfig_annotate "forcing ld=lld due to USE=clang" --enable-linker=lld
elif tc-ld-is-gold ; then
mozconfig_annotate "linker is set to gold" --enable-linker=gold
else
mozconfig_annotate "linker is set to bfd" --enable-linker=bfd
fi
fi
# It doesn't compile on alpha without this LDFLAGS
use alpha && append-ldflags "-Wl,--no-relax"
# Add full relro support for hardened
use hardened && append-ldflags "-Wl,-z,now"
# Modifications to better support ARM, bug 553364
if use cpu_flags_arm_neon ; then
mozconfig_annotate '' --with-fpu=neon
if ! tc-is-clang ; then
# thumb options aren't supported when using clang, bug 666966
mozconfig_annotate '' --with-thumb=yes
mozconfig_annotate '' --with-thumb-interwork=no
fi
fi
if [[ ${CHOST} == armv*h* ]] ; then
mozconfig_annotate '' --with-float-abi=hard
if ! use system-libvpx ; then
sed -i -e "s|softfp|hard|" \
"${S}"/media/libvpx/moz.build
fi
fi
mozconfig_use_enable !bindist official-branding
mozconfig_use_enable debug
mozconfig_use_enable debug tests
if ! use debug ; then
mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
else
mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
fi
# These are enabled by default in all mozilla applications
mozconfig_annotate '' --with-system-nspr
mozconfig_annotate '' --with-system-nss
mozconfig_annotate '' --x-includes="${SYSROOT}${EPREFIX}"/usr/include \
--x-libraries="${SYSROOT}${EPREFIX}"/usr/$(get_libdir)
mozconfig_annotate '' --prefix="${EPREFIX}"/usr
mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
mozconfig_annotate '' --disable-crashreporter
mozconfig_annotate 'Gentoo default' --with-system-png
mozconfig_annotate '' --enable-system-ffi
mozconfig_annotate '' --with-intl-api
mozconfig_annotate '' --enable-system-pixman
# Instead of the standard --build= and --host=, mozilla uses --host instead
# of --build, and --target intstead of --host.
# Note, mozilla also has --build but it does not do what you think it does.
# Set both --target and --host as mozilla uses python to guess values otherwise
mozconfig_annotate '' --target="${CHOST}"
mozconfig_annotate '' --host="${CBUILD:-${CHOST}}"
mozconfig_annotate '' --with-toolchain-prefix="${CHOST}-"
if use system-libevent ; then
mozconfig_annotate '' --with-system-libevent="${SYSROOT}${EPREFIX}"/usr
fi
if ! use x86 && [[ ${CHOST} != armv*h* ]] ; then
mozconfig_annotate '' --enable-rust-simd
fi
# use the gtk3 toolkit (the only one supported at this point)
# TODO: Will this result in automagic dependency on x11-libs/gtk+[wayland]?
if use wayland ; then
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3-wayland
else
mozconfig_annotate '' --enable-default-toolkit=cairo-gtk3
fi
mozconfig_use_with system-av1
mozconfig_use_with system-harfbuzz
mozconfig_use_with system-harfbuzz system-graphite2
mozconfig_use_with system-icu
mozconfig_use_with system-jpeg
mozconfig_use_with system-libvpx
mozconfig_use_with system-webp
mozconfig_use_enable pulseaudio
# force the deprecated alsa sound code if pulseaudio is disabled
if use kernel_linux && ! use pulseaudio ; then
mozconfig_annotate '-pulseaudio' --enable-alsa
fi
# Disable built-in ccache support to avoid sandbox violation, #665420
# Use FEATURES=ccache instead!
mozconfig_annotate '' --without-ccache
sed -i -e 's/ccache_stats = None/return None/' \
python/mozbuild/mozbuild/controller/building.py || \
die "Failed to disable ccache stats call"
mozconfig_use_enable wifi necko-wifi
mozconfig_use_enable geckodriver
# enable JACK, bug 600002
mozconfig_use_enable jack
mozconfig_use_enable screencast pipewire
# Enable/Disable eme support
use eme-free && mozconfig_annotate '+eme-free' --disable-eme
# Setup api key for location services and safebrowsing, https://bugzilla.mozilla.org/show_bug.cgi?id=1531176#c34
echo -n "${_google_api_key}" > "${S}"/google-api-key
mozconfig_annotate '' --with-google-location-service-api-keyfile="${S}/google-api-key"
mozconfig_annotate '' --with-google-safebrowsing-api-keyfile="${S}/google-api-key"
mozconfig_annotate '' --enable-extensions="${MEXTENSIONS}"
# allow elfhack to work in combination with unstripped binaries
# when they would normally be larger than 2GiB.
append-ldflags "-Wl,--compress-debug-sections=zlib"
if use clang ; then
# https://bugzilla.mozilla.org/show_bug.cgi?id=1482204
# https://bugzilla.mozilla.org/show_bug.cgi?id=1483822
# toolkit/moz.configure Elfhack section: target.cpu in ('arm', 'x86', 'x86_64')
local disable_elf_hack=
if use amd64 ; then
disable_elf_hack=yes
elif use x86 ; then
disable_elf_hack=yes
elif use arm ; then
disable_elf_hack=yes
fi
if [[ -n ${disable_elf_hack} ]] ; then
mozconfig_annotate 'elf-hack is broken when using Clang' --disable-elf-hack
fi
fi
echo "mk_add_options MOZ_OBJDIR=${BUILD_OBJ_DIR}" >> "${S}"/.mozconfig
echo "mk_add_options XARGS=/usr/bin/xargs" >> "${S}"/.mozconfig
# Finalize and report settings
mozconfig_final
mkdir -p "${S}"/third_party/rust/libloading/.deps
# workaround for funky/broken upstream configure...
SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
./mach configure || die
}
src_compile() {
local _virtx=
if use pgo ; then
_virtx=virtx
# Reset and cleanup environment variables used by GNOME/XDG
gnome2_environment_reset
addpredict /root
fi
GDK_BACKEND=x11 \
MOZ_MAKE_FLAGS="${MAKEOPTS} -O" \
SHELL="${SHELL:-${EPREFIX}/bin/bash}" \
MOZ_NOSPAM=1 \
${_virtx} \
./mach build --verbose \
|| die
}
src_install() {
cd "${BUILD_OBJ_DIR}" || die
# Pax mark xpcshell for hardened support, only used for startupcache creation.
pax-mark m "${BUILD_OBJ_DIR}"/dist/bin/xpcshell
# Add our default prefs for firefox
cp "${FILESDIR}"/gentoo-default-prefs.js-3 \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
# set dictionary path, to use system hunspell
echo "pref(\"spellchecker.dictionary_path\", \"${EPREFIX}/usr/share/myspell\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
# force the graphite pref if system-harfbuzz is enabled, since the pref cant disable it
if use system-harfbuzz ; then
echo "sticky_pref(\"gfx.font_rendering.graphite.enabled\",true);" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
fi
# force cairo as the canvas renderer on platforms without skia support
if [[ $(tc-endian) == "big" ]] ; then
echo "sticky_pref(\"gfx.canvas.azure.backends\",\"cairo\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
echo "sticky_pref(\"gfx.content.azure.backends\",\"cairo\");" \
>>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" || die
fi
# Augment this with hwaccel prefs
if use hwaccel ; then
cat "${FILESDIR}"/gentoo-hwaccel-prefs.js-1 >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
fi
if ! use screenshot ; then
echo "pref(\"extensions.screenshots.disabled\", true);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
fi
echo "pref(\"extensions.autoDisableScopes\", 3);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
if ! use gmp-autoupdate ; then
local plugin
for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
echo "pref(\"media.${plugin}.autoupdate\", false);" >> \
"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" \
|| die
done
fi
cd "${S}"
MOZ_MAKE_FLAGS="${MAKEOPTS}" SHELL="${SHELL:-${EPREFIX}/bin/bash}" MOZ_NOSPAM=1 \
DESTDIR="${D}" ./mach install || die
if use geckodriver ; then
cp "${BUILD_OBJ_DIR}"/dist/bin/geckodriver "${ED%/}"${MOZILLA_FIVE_HOME} || die
pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/geckodriver
dosym ${MOZILLA_FIVE_HOME}/geckodriver /usr/bin/geckodriver
fi
# Install language packs
MOZEXTENSION_TARGET="distribution/extensions" MOZ_INSTALL_L10N_XPIFILE="1" mozlinguas_src_install
local size sizes icon_path icon name
if use bindist ; then
sizes="16 32 48"
icon_path="${S}/browser/branding/aurora"
# Firefox's new rapid release cycle means no more codenames
# Let's just stick with this one...
icon="aurora"
name="Aurora"
# Override preferences to set the MOZ_DEV_EDITION defaults, since we
# don't define MOZ_DEV_EDITION to avoid profile debaucles.
# (source: browser/app/profile/firefox.js)
cat >>"${BUILD_OBJ_DIR}/dist/bin/browser/defaults/preferences/all-gentoo.js" <<PROFILE_EOF
pref("app.feedback.baseURL", "https://input.mozilla.org/%LOCALE%/feedback/firefoxdev/%VERSION%/");
sticky_pref("lightweightThemes.selectedThemeID", "firefox-devedition@mozilla.org");
sticky_pref("browser.devedition.theme.enabled", true);
sticky_pref("devtools.theme", "dark");
PROFILE_EOF
else
sizes="16 22 24 32 48 64 128 256"
icon_path="${S}/browser/branding/official"
icon="${PN}"
name="Mozilla Firefox"
fi
# Disable built-in auto-update because we update firefox through package manager
insinto ${MOZILLA_FIVE_HOME}/distribution/
newins "${FILESDIR}"/disable-auto-update.policy.json policies.json
# Install icons and .desktop for menu entry
for size in ${sizes} ; do
insinto "/usr/share/icons/hicolor/${size}x${size}/apps"
newins "${icon_path}/default${size}.png" "${icon}.png"
done
# Install a 48x48 icon into /usr/share/pixmaps for legacy DEs
newicon "${icon_path}/default48.png" "${icon}.png"
local display_protocols="auto X11" use_wayland="false"
if use wayland ; then
display_protocols+=" Wayland"
use_wayland="true"
fi
local app_name desktop_filename display_protocol exec_command
for display_protocol in ${display_protocols} ; do
app_name="${name} on ${display_protocol}"
desktop_filename="${PN}-${display_protocol,,}.desktop"
case ${display_protocol} in
Wayland)
exec_command='firefox-wayland --name firefox-wayland'
newbin "${FILESDIR}"/firefox-wayland.sh firefox-wayland
;;
X11)
if ! use wayland ; then
# Exit loop here because there's no choice so
# we don't need wrapper/.desktop file for X11.
continue
fi
exec_command='firefox-x11 --name firefox-x11'
newbin "${FILESDIR}"/firefox-x11.sh firefox-x11
;;
*)
app_name="${name}"
desktop_filename="${PN}.desktop"
exec_command='firefox'
;;
esac
newmenu "${FILESDIR}/icon/${PN}-r2.desktop" "${desktop_filename}"
sed -i \
-e "s:@NAME@:${app_name}:" \
-e "s:@EXEC@:${exec_command}:" \
-e "s:@ICON@:${icon}:" \
"${ED%/}/usr/share/applications/${desktop_filename}" || die
done
rm "${ED%/}"/usr/bin/firefox || die
newbin "${FILESDIR}"/firefox.sh firefox
local wrapper
for wrapper in \
"${ED%/}"/usr/bin/firefox \
"${ED%/}"/usr/bin/firefox-x11 \
"${ED%/}"/usr/bin/firefox-wayland \
; do
[[ ! -f "${wrapper}" ]] && continue
sed -i \
-e "s:@PREFIX@:${EPREFIX%/}/usr:" \
-e "s:@DEFAULT_WAYLAND@:${use_wayland}:" \
"${wrapper}" || die
done
# Don't install llvm-symbolizer from sys-devel/llvm package
[[ -f "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer" ]] && \
rm "${ED%/}${MOZILLA_FIVE_HOME}/llvm-symbolizer"
# firefox and firefox-bin are identical
rm "${ED%/}"${MOZILLA_FIVE_HOME}/firefox-bin || die
dosym firefox ${MOZILLA_FIVE_HOME}/firefox-bin
# Required in order to use plugins and even run firefox on hardened.
pax-mark m "${ED%/}"${MOZILLA_FIVE_HOME}/{firefox,plugin-container}
}
pkg_preinst() {
# if the apulse libs are available in MOZILLA_FIVE_HOME then apulse
# doesn't need to be forced into the LD_LIBRARY_PATH
if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
einfo "APULSE found - Generating library symlinks for sound support"
local lib
pushd "${ED}"${MOZILLA_FIVE_HOME} &>/dev/null || die
for lib in ../apulse/libpulse{.so{,.0},-simple.so{,.0}} ; do
# a quickpkg rolled by hand will grab symlinks as part of the package,
# so we need to avoid creating them if they already exist.
if [[ ! -L ${lib##*/} ]] ; then
ln -s "${lib}" ${lib##*/} || die
fi
done
popd &>/dev/null || die
fi
}
pkg_postinst() {
xdg_desktop_database_update
xdg_icon_cache_update
if ! use gmp-autoupdate ; then
elog "USE='-gmp-autoupdate' has disabled the following plugins from updating or"
elog "installing into new profiles:"
local plugin
for plugin in "${GMP_PLUGIN_LIST[@]}" ; do
elog "\t ${plugin}"
done
elog
fi
if use pulseaudio && has_version ">=media-sound/apulse-0.1.12-r4" ; then
elog "Apulse was detected at merge time on this system and so it will always be"
elog "used for sound. If you wish to use pulseaudio instead please unmerge"
elog "media-sound/apulse."
elog
fi
local show_doh_information show_normandy_information
if [[ -z "${REPLACING_VERSIONS}" ]] ; then
# New install; Tell user that DoH is disabled by default
show_doh_information=yes
show_normandy_information=yes
else
local replacing_version
for replacing_version in ${REPLACING_VERSIONS} ; do
if ver_test "${replacing_version}" -lt 70 ; then
# Tell user only once about our DoH default
show_doh_information=yes
fi
if ver_test "${replacing_version}" -lt 74.0-r2 ; then
# Tell user only once about our Normandy default
show_normandy_information=yes
fi
done
fi
if [[ -n "${show_doh_information}" ]] ; then
elog
elog "Note regarding Trusted Recursive Resolver aka DNS-over-HTTPS (DoH):"
elog "Due to privacy concerns (encrypting DNS might be a good thing, sending all"
elog "DNS traffic to Cloudflare by default is not a good idea and applications"
elog "should respect OS configured settings), \"network.trr.mode\" was set to 5"
elog "(\"Off by choice\") by default."
elog "You can enable DNS-over-HTTPS in ${PN^}'s preferences."
fi
# bug 713782
if [[ -n "${show_normandy_information}" ]] ; then
elog
elog "Upstream operates a service named Normandy which allows Mozilla to"
elog "push changes for default settings or even install new add-ons remotely."
elog "While this can be useful to address problems like 'Armagadd-on 2.0' or"
elog "revert previous decisions to disable TLS 1.0/1.1, privacy and security"
elog "concerns prevail, which is why we have switched off the use of this"
elog "service by default."
elog
elog "To re-enable this service set"
elog
elog " app.normandy.enabled=true"
elog
elog "in about:config."
fi
}
pkg_postrm() {
xdg_desktop_database_update
xdg_icon_cache_update
}